package com.zfire.mall.manager.bean;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

@Data
public class ExcelData implements Serializable {
    /**
     * 表头
     */
    @ApiModelProperty(value = "表头")
    private List<String> titles;

    /**
     * 数据
     */
    @ApiModelProperty(value = "数据")
    private List<List<Object>> rows;

    /**
     * 页签名称
     */
    @ApiModelProperty(value = "页签名称")
    private String name;
}
