package com.zfire.mall.manager.bean.admin;

import com.zfire.mall.manager.plus.entity.AdminUser;
import com.zfire.mall.manager.plus.entity.AdminUserCategoryRela;
import com.zfire.mall.manager.plus.entity.AdminWebsit;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@Data
public class AdminUserCom extends AdminUser {


    @ApiModelProperty("拥有的部门权限id")
    private List<String> adminWebsitIds;
    @ApiModelProperty("有用的企业权限ids")
    private List<String> adminCompanyIds;
    @ApiModelProperty("只读帐号")
    private Boolean onlyRead = false;
    @ApiModelProperty("用户所属部门")
    private AdminWebsit adminWebsit;
    @ApiModelProperty("用户所属部门")
    private String adminWebsitId;
    @ApiModelProperty("用户所属部门名称")
    private String adminWebsitName;
    @ApiModelProperty("当前登录人企业微信id")
    private String loginCompanyId;
    @ApiModelProperty("当前登录人企业名称")
    private String loginCompanyName;
    @ApiModelProperty("金蝶企业编号")
    private String useOrgNumber;
    @ApiModelProperty("金蝶企业名称")
    private String useOrgName;
    @ApiModelProperty("金蝶企业编号")
    private List<String> useOrgNumbers;

    @ApiModelProperty("是否为财务")
    private Boolean isCw;

    @ApiModelProperty("是否物流 1是 0否")
    private Boolean isFront;

    @ApiModelProperty("是否自提 1是 0否")
    private Boolean isPick;

    @ApiModelProperty("是否配置过 1 配置  0未配置")
    private Boolean frontPickType;

    @ApiModelProperty("是否配置过 1 配置  0未配置")
    private Integer changeNum;

    @ApiModelProperty("主账号id")
    private String masterAdminUserId;

    //    @ApiModelProperty("工程用户id")
//    private List<Integer> enginUserIds;
//    @ApiModelProperty("已绑定工程账号")
//    private List<AdminUserBindEngin> bindEnginList;
    @ApiModelProperty("所有子级的业务员")
    private List<String> serviceIds;

    @ApiModelProperty("拥有的金蝶物料类型id权限")
    private List<String> k3CategoryIds;
    @ApiModelProperty("拥有的金蝶物料类型权限")
    private List<AdminUserCategoryRela> adminUserCategoryRelas;

    @ApiModelProperty("是否为商用登录审核员")
    private Boolean isTradeExaminer;

}
