package com.zfire.mall.manager.bean.admin.respDto;

import com.zfire.mall.manager.plus.entity.AdminUser;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;


@ApiModel
@Data
public class AdminUserDto extends AdminUser {

    @ApiModelProperty("金蝶商户编号")
    private String useOrgNumber;
    @ApiModelProperty("金蝶商户名称")
    private String useOrgName;

    @ApiModelProperty("绑定仓库")
    private String[] stockCorrespondList;

    @ApiModelProperty("绑定仓库名称")
    private String stockCorrespondName;

    @ApiModelProperty("绑定金蝶物料名称")
    private String bindCategoryName;


    @ApiModelProperty(value = "工装登录名额限制")
    private Integer workLoginLimit;

    @ApiModelProperty(value = "家装登录名额限制")
    private Integer homeLoginLimit;

    @ApiModelProperty(value = "跨区登录名额限制")
    private Integer spanLoginLimit;

    @ApiModelProperty(value = "父级经销商id")
    private String parentId;

}
