package com.zfire.mall.manager.bean.config;

import com.baomidou.mybatisplus.annotation.*;
import com.zfire.mall.manager.annotation.ZfireField;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * @author qinrongjun
 * @description
 * @date 2023/7/26 11:16 星期三
 */
@Data
public class FirstPartyCustomerManagementDetailVO {

    @ApiModelProperty(value = "id")
    private String id;

    @ApiModelProperty(value = "甲方客户名称")
    private String name;

    @ApiModelProperty(value = "上级客户")
    private String parentName;

    @ApiModelProperty(value = "客户规模")
    private String scale;

    @ApiModelProperty(value = "客户类型")
    private String type;

    @ApiModelProperty(value = "行业大类")
    private String tradeParentId;

    @ApiModelProperty(value = "行业小类")
    private String tradeId;

    @ApiModelProperty(value = "省id")
    private Long provinceRegionId;

    @ApiModelProperty(value = "市id")
    private Long cityRegionId;

    @ApiModelProperty(value = "区id")
    private Long areaId;

    @ApiModelProperty(value = "详细地址")
    private String address;

    @ApiModelProperty(value = "客户关系")
    private String rela;

    @ApiModelProperty(value = "客户来源")
    private String resource;

    @ApiModelProperty(value = "联系人名称")
    private String linkName;

    @ApiModelProperty(value = "联系人职务")
    private String linkJob;

    @ApiModelProperty(value = "联系人部门")
    private String linkDepartment;

    @ApiModelProperty(value = "微信")
    private String weXin;

    @ApiModelProperty(value = "联系人角色")
    private String linkRole;

    @ApiModelProperty(value = "邮箱")
    private String email;

    @ApiModelProperty(value = "QQ")
    private String qq;

    @ApiModelProperty(value = "创建人")
    private String createBy;

    @ApiModelProperty(value = "创建人名称")
    private String createName;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @ApiModelProperty(value = "更新人")
    private String updateBy;

    @ApiModelProperty(value = "更新人名称")
    private String updateName;

    @ApiModelProperty(value = "更新时间")
    private Date updateTime;
}
