package com.zfire.mall.manager.bean.config;

import com.zfire.mall.manager.annotation.ZfireField;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @author qinrongjun
 * @description
 * @date 2023/7/26 11:15 星期三
 */
@Data
public class FirstPartyCustomerManagementListVO {

    @ZfireField(hide = true)
    @ApiModelProperty(value = "id")
    private String id;

    @ApiModelProperty(value = "甲方客户名称")
    private String name;

    @ApiModelProperty(value = "上级客户")
    private String parentName;

    @ApiModelProperty(value = "客户规模")
    private String scale;

    @ApiModelProperty(value = "客户类型")
    private String type;

    @ZfireField(isQuery = false)
    @ApiModelProperty(value = "行业大类")
    private String tradeParentName;

    @ZfireField(isQuery = false)
    @ApiModelProperty(value = "行业小类")
    private String tradeName;

    @ApiModelProperty(value = "省")
    private String provinceName;

    @ApiModelProperty(value = "市")
    private String cityName;

    @ApiModelProperty(value = "区")
    private String areaName;

    @ApiModelProperty(value = "客户地址")
    private String address;

    @ApiModelProperty(value = "客户关系")
    private String rela;

    @ApiModelProperty(value = "客户来源")
    private String resource;

    @ApiModelProperty(value = "联系人")
    private String linkName;

    @ApiModelProperty(value = "联系人角色")
    private String linkRole;

    @ApiModelProperty(value = "创建人")
    private String createBy;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @ApiModelProperty(value = "更新人")
    private String updateBy;

    @ApiModelProperty(value = "更新时间")
    private Date updateTime;
}
