package com.zfire.mall.manager.bean.config;

import com.zfire.mall.manager.annotation.ZfireField;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.util.Date;

/**
 * @author qinrongjun
 * @description
 * @date 2023/7/26 10:57 星期三
 */
@Data
public class MerchantLoginQuotaLimitDetailVO {

    @ApiModelProperty(value = "id")
    private String id;

    @ApiModelProperty(value = "商家信息Id")
    private String customerId;

    @ApiModelProperty(value = "商家编号")
    private String customerNumber;

    @ApiModelProperty(value = "工装登录名额限制")
    private Integer workLoginLimit;

    @ApiModelProperty(value = "家装登录名额限制")
    private Integer homeLoginLimit;

    @ApiModelProperty(value = "跨区登录名额限制")
    private Integer spanLoginLimit;

    @ApiModelProperty(value = "实际工装登录名额限制")
    private Integer actuallyWorkLoginLimit;

    @ApiModelProperty(value = "实际家装登录名额限制")
    private Integer actuallyHomeLoginLimit;

    @ApiModelProperty(value = "实际跨区登录名额限制")
    private Integer actuallySpanLoginLimit;

    @ApiModelProperty(value = "启用状态")
    private Boolean state;

    @ApiModelProperty(value = "创建人")
    private String createBy;

    @ApiModelProperty(value = "创建人名称")
    private String createName;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @ApiModelProperty(value = "更新人")
    private String updateBy;

    @ApiModelProperty(value = "更新人名称")
    private String updateName;

    @ApiModelProperty(value = "更新时间")
    private Date updateTime;
}
