package com.zfire.mall.manager.bean.displace.order;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.List;

@ApiModel
@Data
public class DisplaceBean {

    @ApiModelProperty("置换方式 1=订单置换 2=批量置换")
    private Integer type;
    @ApiModelProperty("置换成的商品的物料ids")
    private List<String> newMaterialIds;
    @ApiModelProperty("销售类型ID")
    private String saleTypeId;
    @ApiModelProperty("置换单价")
    private BigDecimal newPrice;
    @ApiModelProperty("格力折扣")
    private BigDecimal newDiscAmount;
    @ApiModelProperty("价格类型id")
    private String priceTypeId;
    @ApiModelProperty("现金钱包id")
    private String waleltId;
    @ApiModelProperty("返利钱包id")
    private String walletId2;

    @ApiModelProperty("被置换的订单明细")
    private List<DisplaceNumBean> orderItems;


}
