package com.zfire.mall.manager.bean.engin.info;

import com.zfire.mall.manager.plus.entity.EnginInfoOrder;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.math.BigDecimal;

@EqualsAndHashCode(callSuper = true)
@Data
@ApiModel
public class EnginInfoListBean extends EnginInfoOrder {

    @ApiModelProperty(value = "销售类型id")
    private String saleTypeId;

    @ApiModelProperty(value = "金蝶物料id")
    private String materialId;

    @ApiModelProperty(value = "金蝶物料编码")
    private String materialNumber;

    @ApiModelProperty(value = "金蝶物料名称")
    private String materialName;

    @ApiModelProperty(value = "金蝶物料编码")
    private String materialOldNumber;

    @ApiModelProperty(value = "规格型号")
    private String specification;

    @ApiModelProperty(value = "基本单位编码")
    private String baseUnitId;

    @ApiModelProperty(value = "单价")
    private BigDecimal price;

    @ApiModelProperty(value = "数量")
    private Integer qty;

    @ApiModelProperty(value = "总金额")
    private BigDecimal totalAmount;

    @ApiModelProperty(value = "备注")
    private String itemRemark;

    @ApiModelProperty(value = "税率")
    private BigDecimal taxRate;
}
