package com.zfire.mall.manager.bean.engin.info;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

@ApiModel
@Data
public class EnginInfoSaleExecBean {

    @ApiModelProperty("信息单日期")
    private Date orderDate;
    @ApiModelProperty("工程编号")
    private String refEnginRecordNo;
    @ApiModelProperty("经销商编码")
    private String customerNumber;
    @ApiModelProperty("经销商名称")
    private String customerName;
    @ApiModelProperty("项目名称")
    private String refProjectName;
    @ApiModelProperty("销售类型")
    private String saleTypeName;
    @ApiModelProperty("物料编码")
    private String materialNumber;
    @ApiModelProperty("产品编码")
    private String materialOldNumber;
    @ApiModelProperty("产品名称")
    private String materialName;
    @ApiModelProperty("规格型号")
    private String specification;
    @ApiModelProperty("数量")
    private Integer qty;
    @ApiModelProperty("单价")
    private BigDecimal price;
    @ApiModelProperty("金额")
    private BigDecimal totalAmount;
    @ApiModelProperty("未订数量")
    private Integer wdQty;
    @ApiModelProperty("未订金额")
    private BigDecimal wdAmount;
    @ApiModelProperty("直调数量")
    private Integer directTransferQty;
    @ApiModelProperty("退订数量")
    private Integer retiredQty;
    @ApiModelProperty("退货数量")
    private Integer refundProductQty;
    @ApiModelProperty("表头业务员")
    private String serviceName;
    @ApiModelProperty("审核人")
    private String confirmName;
    @ApiModelProperty("是否关闭 是=true false=否")
    private Boolean isClose = false;
    @ApiModelProperty("备注")
    private String remark;
    @ApiModelProperty("格力内部备注")
    private String geLiInerNote;
    @ApiModelProperty("权限分类")
    private String refPowerCategory;
    @ApiModelProperty("合同有效期")
    private Date contractExpireDate;
    @ApiModelProperty("安装地址")
    private String installAddress;
    @ApiModelProperty("联系电话")
    private String phone;
    @ApiModelProperty("工程登录类型")
    private String enginSignType;


}
