package com.zfire.mall.manager.bean.engin.sys;

import com.zfire.mall.manager.bean.wallet.CustomerWalletBean;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.ArrayList;
import java.util.List;

@Data
@ApiModel
public class Machine4Agency {

    /**
     * id
     */
    private int id;
    /**
     * organizationid(组织表id)
     */
    private int organizationid;
    /**
     * billsid(agenci_bills表)
     */
    private int billsid;
    /**
     * machineid(machine表)
     */
    private int machineid;
    /**
     * 价格
     */
    @ApiModelProperty(value = "价格")
    private Integer price;
    /**
     * 数量
     */
    @ApiModelProperty(value = "数量")
    private Integer num;
    /**
     * 描述
     */
    @ApiModelProperty(value = "描述")
    private String discri;

    @ApiModelProperty(value = "总金额")
    private Integer totality;
    /**
     * 物料代码
     */
    @ApiModelProperty(value = "物料代码")
    private String code;
    /**
     * 机型说明
     */
    @ApiModelProperty(value = "机型说明")
    private String machine;
    /**
     * 类别
     */
    @ApiModelProperty(value = "类别")
    private String category;

    @ApiModelProperty(value = "名称")
    private String name;

    @ApiModelProperty(value = "金蝶物料id")
    private String materialId;

    @ApiModelProperty(value = "金蝶物料名称")
    private String materialName;

    @ApiModelProperty(value = "金蝶物料编码")
    private String materialNumber;

    @ApiModelProperty(value = "金蝶物料旧编码")
    private String materialOldNumber;

    @ApiModelProperty(value = "规格型号")
    private String specification;

    @ApiModelProperty(value = "基本单位编码")
    private String unit;

    @ApiModelProperty(value = "销售类型id")
    private String saleTypeId;

    @ApiModelProperty(value = "销售类型编码")
    private String saleTypeCode;

    @ApiModelProperty(value = "销售类型名称")
    private String saleTypeName;

    @ApiModelProperty(value = "已订数量")
    private Integer hasDeliverQty;

    @ApiModelProperty(value = "可用钱包列表")
    private List<CustomerWalletBean> customerWalletList = new ArrayList<>();

    @ApiModelProperty(value = "引用记录")
    private Integer useRefCount;
}
