package com.zfire.mall.manager.bean.front;

import com.zfire.mall.manager.annotation.ZfireField;
import com.zfire.mall.manager.constant.CodeStatusConstant;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @author changelin
 */
@ApiModel
@Data
public class CustomerOrderImport {


    @ApiModelProperty(value = "经销商编号")
    private String customerNumber;

    @ApiModelProperty(value = "物料编号")
    private String materialCode;

    @ApiModelProperty(value = "数量")
    private String qty;

    @ApiModelProperty(value = "发生方向 -1=减少  1=增加 ")
    private String directFlag;

    @ApiModelProperty(value = "备注")
    private String remark;

}
