package com.zfire.mall.manager.bean.front;

import com.zfire.mall.manager.plus.entity.CustomerOrder;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.List;

/**
 * <p>
 * 
 * </p>
 *
 * @author gejiang
 * @since 2023-04-08
 */
@ApiModel
@Data
public class CustomerOrderJiaBean   {


    @ApiModelProperty(value = "isCheck=1")
    private Integer isCheck = 1;


    @ApiModelProperty(value = "送货地址（省市区详细地址）")
    private String receiptAddress;

    @ApiModelProperty(value = "要求送货日期(时间戳)")
    private String requireDeliveryDate;


    @ApiModelProperty(value = "商家名称")
    private String merchantName;

    @ApiModelProperty(value = "客户名称")
    private String customerName;

    @ApiModelProperty(value = "商家编码")
    private String merchantCode;

    @ApiModelProperty(value = "客户电话")
    private String customerPhone;

    @ApiModelProperty(value = "备注")
    private String comment;

    @ApiModelProperty(value = "省")
    private String province;

    @ApiModelProperty(value = "市")
    private String city;

    @ApiModelProperty(value = "区")
    private String area;

    @ApiModelProperty(value = "街道")
    private String street;

    @ApiModelProperty(value = "物料")
    private List<SaleOrderJsonListDto> saleOrderDetailList;
}
