package com.zfire.mall.manager.bean.invoice;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.zfire.mall.manager.plus.entity.InvoiceApplicationOrder;
import com.zfire.mall.manager.plus.entity.KingDeeStock;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
 * @author change
 */
@ApiModel
@Data
public class InvoiceApplicationOrderBody extends InvoiceApplicationOrder {


    @ApiModelProperty(value = "工程订单编号")
    private String enginOrderNo;


    @ApiModelProperty(value = "原销售出库单号")
    private String salesId;

    @ApiModelProperty("已申请数量")
    private Integer alreadyInvoiceNum;

    @ApiModelProperty("可申请数量")
    private Integer canApply;

    @ApiModelProperty("表体备注")
    private String  invoiceRemark;


    @ApiModelProperty("配件型号1")
    private String  pjxh1Text;

    @ApiModelProperty("文件编号")
    private String  itemFileNo;

    @ApiModelProperty("销售出库单号")
    private String  salesOrderId;


}
