package com.zfire.mall.manager.bean.k3;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.zfire.mall.manager.plus.entity.KingDeePurchaseOrder;
import com.zfire.mall.manager.plus.entity.StockCorrespond;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

@ApiModel
@Data
public class KingDeePurchaseOrderBean extends KingDeePurchaseOrder {


    @ApiModelProperty(value = "绑定id")
    private String fId;

    @ApiModelProperty(value = "物料id")
    private String materialId;

    @ApiModelProperty(value = "物料名称")
    private String materialName;

    @ApiModelProperty(value = "物料编码")
    private String materialNumber;

    @ApiModelProperty(value = "采购单位")
    private String unit;

    @ApiModelProperty(value = "采购数量")
    private BigDecimal qty;

    @ApiModelProperty(value = "单价")
    private BigDecimal price;

    @ApiModelProperty(value = "金额")
    private BigDecimal entryAmount;

    @ApiModelProperty(value = "备注")
    private String entryNote;

    @ApiModelProperty(value = "价税合计")
    private BigDecimal allAmount;

    @ApiModelProperty(value = "应付数量")
    private BigDecimal invoiceQty;

    @ApiModelProperty(value = "应付金额")
    private BigDecimal invoiceAmount;

    @ApiModelProperty(value = "规格型号")
    private String model;

    @ApiModelProperty(value = "税额")
    private BigDecimal entryTaxAmount;

    @ApiModelProperty(value = "含税单价")
    private BigDecimal taxPrice;

}
