package com.zfire.mall.manager.bean.k3;

import com.zfire.mall.manager.plus.entity.KingDeeTransfer;
import com.zfire.mall.manager.plus.entity.KingDeeTransferItem;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
 * @author change
 */
@Data
public class KingTransfer extends KingDeeTransfer {



    @ApiModelProperty(value = "关联id")
    private String fId;

    @ApiModelProperty(value = "实体主键")
    private String entryId;

    @ApiModelProperty(value = "物料id")
    private String materialId;

    @ApiModelProperty(value = "物料编码")
    private String materialNumber;

    @ApiModelProperty(value = "物料名称")
    private String materialName;

    @ApiModelProperty(value = "调出仓库")
    private String srcStockId;

    @ApiModelProperty(value = "调入仓库")
    private String destStockId;

    @ApiModelProperty(value = "调拨数量")
    private BigDecimal qty;

    @ApiModelProperty(value = "调入货主")
    private String ownerId;

    @ApiModelProperty(value = "调出货主")
    private String ownerOutId;

    @ApiModelProperty(value = "规格型号")
    private String model;

    @ApiModelProperty(value = "基本单位")
    private String baseUnitId;

    @ApiModelProperty(value = "金额")
    private BigDecimal consignAmount;

    @ApiModelProperty(value = "单价")
    private BigDecimal consignPrice;


    @ApiModelProperty(value = "调出仓位")
    private String srcStockLocId;

    @ApiModelProperty(value = "调入仓位")
    private String destStockLocId;

    @ApiModelProperty(value = "辅助属性")
    private String auxPropId;

    @ApiModelProperty(value = "调出仓库名")
    private String srcStockName;

    @ApiModelProperty(value = "调入仓库名")
    private String destStockName;



}
