package com.zfire.mall.manager.bean.k3.bill;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@ApiModel
@Data
public class SalesChangeBean extends CommonOrderBean {

    @JsonProperty("FID")
    @ApiModelProperty(value = "下游单据内码id")
    private String id;

    @JsonProperty("FChangeReason")
    @ApiModelProperty(value = "变更原因")
    private String remark;

    @JsonProperty("FNote")
    @ApiModelProperty(value = "备注")
    private String note;

    @JsonProperty("FSaleOrderEntry")
    @ApiModelProperty(value = "订单明细", required = true)
    private List<SalesChangeItemBean> orderItems;
}
