package com.zfire.mall.manager.bean.k3.bill;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

@ApiModel
@Data
public class SalesChangeItemBean {

    /**
     * 明细行内码
     */
    @JsonProperty("FEntryID")
    @ApiModelProperty(value = "明细行内码", required = true)
    private String entryId;

    /**
     * 变更数量
     */
    @JsonProperty("FQty")
    @ApiModelProperty(value = "变更数量", required = true)
    private BigDecimal qty;
}
