package com.zfire.mall.manager.bean.k3.bill.result;

import lombok.Data;

import java.util.List;

@Data
public class ResultEntity {
    /**
     * 下游单据内码id
     */
    private String id;

    /**
     * 下游单据单号
     */
    private String number;

    /**
     * 下标
     */
    private Integer dIndex;

    /**
     * 明细
     */
    private List<BillItem> items;

    private ResultEntity() {

    }

    public ResultEntity(String id, String number, Integer dIndex, List<BillItem> items) {
        this.id = id;
        this.number = number;
        this.dIndex = dIndex;
        this.items = items;
    }
}
