package com.zfire.mall.manager.bean.listV2;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.zfire.mall.manager.annotation.ZfireField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

@ZfireField(tbName = "a")
@ApiModel
@Data
public class ComListVO {

    @ZfireField(hide = true)
    private Integer id;

    @ApiModelProperty(value = "标题")
    private String title;

    @ApiModelProperty(value = "备注")
    private String remark;

    @ApiModelProperty("操作人")
    private String operatorNickName;

    @ApiModelProperty("创建时间")
    private Date createTime;

}
