package com.zfire.mall.manager.bean.listV2;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.zfire.mall.manager.annotation.ZfireField;
import com.zfire.mall.manager.constant.SysDictConstant;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

@ZfireField(tbName = "a")
@ApiModel
@Data
public class CustomerProductTypeRelaVO {

    @ZfireField(hide = true,pk = true)
    private String id;
    @ApiModelProperty("经销商编码")
    private String customerNumber;
    //@ZfireField(type="select",frontCode = SysDictConstant.CUSTOMER,colName = "customer_number")
    @ApiModelProperty("经销商名称")
    private String customerName;
    @ApiModelProperty("金蝶部门编号")
    private String k3OrgNumber;
    @ZfireField(tbName = "b",colName = "name")
    @ApiModelProperty("金蝶部门名称")
    private String k3OrgName;
    @ZfireField(type="select",frontCode = SysDictConstant.WALLET,colName = "customer_wallet_id")
    @ApiModelProperty(value = "经销商钱包")
    private String customerWalletName;
    @ZfireField(type="select",frontCode = SysDictConstant.SERVICE,colName = "service_id")
    @ApiModelProperty(value = "业务员")
    private String serviceName;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @ApiModelProperty(value = "创建人")
    private String createBy;

    @ApiModelProperty(value = "更新时间")
    private Date updateTime;

    @ApiModelProperty(value = "更新人")
    private String updateBy;

}
