package com.zfire.mall.manager.bean.listV2;

import com.zfire.mall.manager.annotation.ZfireField;
import com.zfire.mall.manager.enums.WalletTypeEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 * 经销商余额
 * @author ：lijh
 * @description：TODO
 * @date ：2024/5/14 15:54
 */
@ZfireField(tbName = "a")
@Data
@ApiModel
public class CustomerWalletAmountVO {

    @ZfireField(tbName = "b")
    @ApiModelProperty("经销商编号")
    private String customerNumber;

    @ZfireField(tbName = "b")
    @ApiModelProperty("经销商名称")
    private String customerName;

    @ZfireField(hide = true,tbName = "b")
    @ApiModelProperty("经销商钱包id")
    private String customerWalletId;

    @ZfireField(tbName = "b")
    @ApiModelProperty("钱包名称")
    private String customerWalletName;

    @ZfireField(tbName = "a")
    @ApiModelProperty("余额")
    private BigDecimal balanceAmount;

    @ZfireField(tbName = "b")
    @ApiModelProperty("钱包类型")
    private WalletTypeEnum type;
}
