package com.zfire.mall.manager.bean.listV2;

import com.zfire.mall.manager.annotation.ZfireField;
import com.zfire.mall.manager.enums.IsEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

@ZfireField(tbName = "a")
@ApiModel
@Data
public class NoticeRecordReadVO {

    @ZfireField(hide = true,pk = true)
    private String id;
    @ZfireField(hide = true)
    private String noticeId;
    @ApiModelProperty(value = "通知类型")
    private String type;
    @ApiModelProperty(value = "文件编码")
    private String code;
    @ApiModelProperty(value = "文件标题")
    private String title;
    @ApiModelProperty(value = "阅读时间")
    private Date readTime;
    @ApiModelProperty(value = "是否已浏览")
    private IsEnum isTopRead;
    @ApiModelProperty(value = "接收人昵称")
    private String adminNickName;
    @ApiModelProperty(value = "发布人昵称")
    private String issueNickName;
    @ApiModelProperty(value = "发布时间")
    private Date issueTime;
    @ApiModelProperty(value = "创建时间")
    private Date createTime;

}
