package com.zfire.mall.manager.bean.listV2;

import com.zfire.mall.manager.annotation.ZfireField;
import com.zfire.mall.manager.enums.ExamineStatusEnum;
import com.zfire.mall.manager.enums.PolicyTypeEnum;
import com.zfire.mall.manager.enums.StatusEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

@ZfireField(tbName = "a")
@ApiModel
@Data
public class PolicyCustomerVO {

    @ZfireField(hide = true,pk = true)
    private String id;
    @ApiModelProperty("状态")
    private StatusEnum status;
    @ApiModelProperty("销售政策编号")
    private String code;
    @ApiModelProperty("销售政策名称")
    private String title;
    @ApiModelProperty("销售政策说明")
    private String remark;
    @ApiModelProperty("关联经销商")
    private Integer customerCount;
    @ApiModelProperty("生效日期")
    private Date startTime;
    @ApiModelProperty("结束日期")
    private Date endTime;
    @ApiModelProperty("制表人")
    private String createBy;
    @ApiModelProperty("制表日期")
    private Date createTime;

}
