package com.zfire.mall.manager.bean.listV2;

import com.zfire.mall.manager.annotation.ZfireField;
import com.zfire.mall.manager.enums.CuseromtTypeEnum;
import com.zfire.mall.manager.enums.K3CommonStatusEnum;
import com.zfire.mall.manager.plus.entity.KingDeeCustomer;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

@ZfireField(tbName = "a")
@ApiModel
@Data
public class StageK3CustomerVO {

    @ZfireField(hide = true)
    private String id;

    @ApiModelProperty(value = "子商户编码")
    private String number;

    @ApiModelProperty(value = "子商户名称")
    private String name;


    @ApiModelProperty(value = "上级商户编码")
    private String higherPrantNumber;

    @ApiModelProperty(value = "上级商户信息")
    private String higherPrantName;


    @ApiModelProperty(value = "负责人")
    private String chargeName;

    @ApiModelProperty(value = "经销商类型")
    private CuseromtTypeEnum jiaxianType;


    @ApiModelProperty(value = "禁用状态")
    private K3CommonStatusEnum forbidStatus;

    @ApiModelProperty(value = "创建人")
    private String createBy;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @ZfireField(hide = true)
    @ApiModelProperty(value = "单据状态 SAVE=保存 WAIT=待审核 OK=通过 FAIL=不通过 CLOSE=关闭")
    private String examineStatus;




}
