package com.zfire.mall.manager.bean.listV2;

import com.zfire.mall.manager.annotation.ZfireField;
import com.zfire.mall.manager.constant.SysDictConstant;
import com.zfire.mall.manager.enums.StatusEnum;
import com.zfire.mall.manager.plus.entity.SysDict;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

@ZfireField(tbName = "a")
@ApiModel
@Data
public class WalletSaleTypeRelaVO {

    @ZfireField(hide = true)
    private String walletRebateSaleTypeId;
    @ZfireField(tbName = "c")
    @ApiModelProperty("销售类型编码")
    private String saleCode;
    @ZfireField(tbName = "a",colName = "sale_type_id",type ="select",frontCode = SysDictConstant.SALE_TYPE)
    @ApiModelProperty("销售类型名称")
    private String saleName;
    @ZfireField(tbName = "b",colName = "wallet_rebate_id",type="select",frontCode = SysDictConstant.WALLET_REBATE)
    @ApiModelProperty("返利类型")
    private String name;
    @ApiModelProperty("返利折扣")
    private BigDecimal rebateRate;
    @ApiModelProperty("状态")
    private StatusEnum status;
    @ApiModelProperty("创建人")
    private String createBy;
    @ApiModelProperty("创建时间")
    private Date createTime;
    @ApiModelProperty("更新人")
    private String updateBy;
    @ApiModelProperty("更新时间")
    private Date updateTime;

}
