package com.zfire.mall.manager.bean.manage.material;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

@Data
@ApiModel(value="ProductComposeListBean对象", description="ProductComposeListBean对象")
public class ProductComposeListBean {

    private static final long serialVersionUID=1L;

    @ApiModelProperty(value = "编码")
    private String id;

    @ApiModelProperty(value = "企业id")
    private String adminCompanyId;

    @ApiModelProperty(value = "金蝶物料id")
    private String materialId;

    @ApiModelProperty(value = "金蝶物料名称")
    private String materialName;

    @ApiModelProperty(value = "产品型号")
    private String productModel;

    @ApiModelProperty(value = "套机编码")
    private String composeNumber;

    @ApiModelProperty(value = "套机体积")
    private BigDecimal productVolume;

    @ApiModelProperty(value = "创建人")
    private String createBy;

    @ApiModelProperty(value = "创建人名称")
    private String createName;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @ApiModelProperty(value = "更新人名称")
    private String updateBy;

    @ApiModelProperty(value = "更新人名称")
    private String updateName;

    @ApiModelProperty(value = "更新时间")
    private Date updateTime;

    @ApiModelProperty(value = "类型 INNER=内机 OUTSIDE=外机 PARTS=配件")
    private String type;

    @ApiModelProperty(value = "名称")
    private String name;

    @ApiModelProperty(value = "编码")
    private String number;

    @ApiModelProperty(value = "型号")
    private String model;

    @ApiModelProperty(value = "体积")
    private BigDecimal volume;
}
