package com.zfire.mall.manager.bean.manage.v2.product.price;

import com.zfire.mall.manager.annotation.ZfireField;
import com.zfire.mall.manager.enums.StatusEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

@Data
@ApiModel
public class PriceSaleTypeRelaVO {

    @ZfireField(tbName = "a", hide = true)
    @ApiModelProperty(value = "价格与销售类型对应关系id")
    private String priceSaleTypeRelaId;

    @ZfireField(tbName = "a", hide = true)
    @ApiModelProperty(value = "销售类型id")
    private String saleId;

    @ZfireField(tbName = "b")
    @ApiModelProperty(value = "销售类型编号")
    private String saleCode;

    @ZfireField(tbName = "b")
    @ApiModelProperty(value = "销售类型名称")
    private String saleName;

    @ZfireField(tbName = "a", hide = true)
    @ApiModelProperty(value = "价格类型id")
    private String priceTypeId;

    @ZfireField(tbName = "b", hide = true)
    @ApiModelProperty(value = "价格类型编号")
    private String priceTypeCode;

    @ZfireField(tbName = "a", hide = true)
    @ApiModelProperty("钱包id")
    private String walletId;
    @ZfireField(tbName = "d",colName = "name")
    @ApiModelProperty("钱包名称")
    private String walletName;

    @ZfireField(hide = true)
    private String walletId2;
    @ZfireField(tbName = "e",colName = "name")
    @ApiModelProperty("返利类型")
    private String walletName2;

    @ZfireField(tbName = "c")
    @ApiModelProperty(value = "价格类型")
    private String priceTypeName;

    @ZfireField(tbName = "a")
    @ApiModelProperty(value = "状态")
    private StatusEnum status;

    @ZfireField(tbName = "a")
    @ApiModelProperty(value = "创建人")
    private String createBy;

    @ZfireField(tbName = "a")
    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @ZfireField(tbName = "a")
    @ApiModelProperty(value = "更新人")
    private String updateBy;

    @ZfireField(tbName = "a")
    @ApiModelProperty(value = "更新时间")
    private Date updateTime;
}
