package com.zfire.mall.manager.bean.manage.v2.product.price;

import com.zfire.mall.manager.annotation.ZfireField;
import com.zfire.mall.manager.enums.StatusEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

@Data
@ApiModel
public class PriceTypeVO {

    @ZfireField(hide = true)
    @ApiModelProperty(value = "价格类型id")
    private String priceTypeId;

    @ApiModelProperty(value = "价格类型编号")
    private String priceTypeCode;

    @ApiModelProperty(value = "价格类型")
    private String priceTypeName;

    @ApiModelProperty(value = "状态")
    private StatusEnum status;

    @ApiModelProperty(value = "创建人")
    private String createBy;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @ApiModelProperty(value = "更新人")
    private String updateBy;

    @ApiModelProperty(value = "更新时间")
    private Date updateTime;
}
