package com.zfire.mall.manager.bean.manage.v2.take;

import com.zfire.mall.manager.annotation.ZfireField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

@Data
@ApiModel
public class TakeCarRecordVO {

    @ZfireField(tbName = "a", hide = true)
    @ApiModelProperty(value = "编码")
    private String id;

    @ZfireField(tbName = "a", hide = true)
    @ApiModelProperty(value = "企业id")
    private String adminCompanyId;

    @ZfireField(tbName = "a", hide = true)
    @ApiModelProperty(value = "经销商编码")
    private String customerId;

    @ZfireField(tbName = "b", colName = "name")
    @ApiModelProperty(value = "经销商名称")
    private String customerName;

    @ZfireField(tbName = "a")
    @ApiModelProperty(value = "车牌")
    private String carBrand;

    @ZfireField(tbName = "a")
    @ApiModelProperty(value = "联系电话")
    private String mobile;

    @ZfireField(tbName = "a")
    @ApiModelProperty(value = "车型")
    private String carType;

    @ZfireField(tbName = "a")
    @ApiModelProperty(value = "体积")
    private BigDecimal volume;

    @ZfireField(tbName = "a")
    @ApiModelProperty(value = "创建人")
    private String createName;

    @ZfireField(tbName = "a")
    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @ZfireField(tbName = "a")
    @ApiModelProperty(value = "更新人")
    private String updateName;

    @ZfireField(tbName = "a")
    @ApiModelProperty(value = "更新时间")
    private Date updateTime;
}
