package com.zfire.mall.manager.bean.notice;

import com.zfire.mall.manager.plus.entity.CommonFile;
import com.zfire.mall.manager.plus.entity.Notice;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.util.List;

@ApiModel
@Data
public class NoticeBean extends Notice {

    @ApiModelProperty("部门ids")
    @NotNull
    private List<String> adminWebsitIds;
    @ApiModelProperty("附件keys")
    private List<CommonFile> files;

}
