package com.zfire.mall.manager.bean.policy;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

@ApiModel
@Data
public class PolicyLimitBean {

    @ApiModelProperty("id")
    private String id;
    @NotBlank(message = "政策id不能为空")
    @ApiModelProperty("政策id")
    private String policyId;
    @NotBlank(message = "经销商id不能为空")
    @ApiModelProperty("经销商id")
    private String customerId;
    @NotBlank(message = "物料id不能为空")
    @ApiModelProperty("物料id")
    private String materialId;
    @NotNull(message = "购买上限不能为空")
    @ApiModelProperty("机型购买量上限")
    private Integer limitQty;

}
