package com.zfire.mall.manager.bean.retail;

import com.zfire.mall.manager.bean.manage.product.price.ProductWalletBean;
import com.zfire.mall.manager.bean.wallet.CustomerWalletBean;
import com.zfire.mall.manager.plus.entity.ProductPrice;
import com.zfire.mall.manager.plus.entity.ProductPriceWallet;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.List;

@ApiModel
@Data
public class ProductPriceBean extends ProductPrice {

    @ApiModelProperty("销售类型id")
    private String saleId;
    @ApiModelProperty("销售类型编号")
    private String saleCode;
    @ApiModelProperty("销售类型名称")
    private String saleName;
    @ApiModelProperty("物料编号")
    private String number;
    @ApiModelProperty("物料名称")
    private String name;
    @ApiModelProperty("单位")
    private String baseUnit;
    @ApiModelProperty("税率")
    private BigDecimal taxRate;
    @ApiModelProperty("现金钱包")
    List<CustomerWalletBean> wallets = new ArrayList<>();
    @ApiModelProperty("返利钱包")
    List<CustomerWalletBean> rebateWallets = new ArrayList<>();
}
