package com.zfire.mall.manager.bean.retail;

import com.zfire.mall.manager.plus.entity.RetailOrder;
import com.zfire.mall.manager.plus.entity.RetailOrderItem;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.List;

@ApiModel
@Data
public class RetailOrderBean extends RetailOrder {

    @ApiModelProperty("产品信息")
    private List<RetailOrderItemBean> retailOrderItemList;
    @ApiModelProperty("提货进度(小数，需*100)")
    private BigDecimal thjd;


}
