package com.zfire.mall.manager.bean.sale;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.zfire.mall.manager.annotation.ZfireField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

/**
 * @author change
 */
@ApiModel
@Data
public class CodeManagerBean {


    @ZfireField(hide = true)
    @ApiModelProperty(value = "id")
    private String id;

    @ApiModelProperty(value = "出货单号")
    private String shipmentId;

    @ApiModelProperty(value = "行号")
    private String lineNumber;

    @ApiModelProperty(value = "订单号")
    private String orderId;

    @ApiModelProperty(value = "货主编号")
    private String ownerNo;

    @ApiModelProperty(value = "收货客户")
    private String receivingName;

    @ApiModelProperty(value = "物料编号")
    private String materialCode;

    @ApiModelProperty(value = "物料型号")
    private String specification;

    @ApiModelProperty(value = "条码编号")
    private String barcodeNo;

    @ApiModelProperty(value = "扫描类")
    private String scan;

    @ApiModelProperty(value = "数量")
    private String qty;

    @ApiModelProperty(value = "单位")
    private String unit;

    @ApiModelProperty(value = "扫描人")
    private String scannerName;

    @ApiModelProperty(value = "扫描时间")
    private Date scanTime;

    @ApiModelProperty(value = "扫描网点")
    private String scanDot;

    @ApiModelProperty(value = "创建人（制单人）")
    private String createBy;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @ApiModelProperty(value = "更新人")
    private String updateBy;

    @ApiModelProperty(value = "更新时间")
    private Date updateTime;



}
