package com.zfire.mall.manager.bean.sale;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.zfire.mall.manager.plus.entity.InvoiceApplicationOrder;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @author change
 */
@ApiModel
@Data
public class SaleOrderData extends InvoiceApplicationOrder {


    @ApiModelProperty(value = "工程订单id")
    private String enginOrderNo;

    @ApiModelProperty(value = "表体备注")
    private String invoiceRemark;


    @ApiModelProperty(value = "打印时间")
    private String printTime;

}
