package com.zfire.mall.manager.bean.stock;

import com.zfire.mall.manager.annotation.ZfireField;
import com.zfire.mall.manager.enums.IsEnum;
import com.zfire.mall.manager.enums.PickIsEnum;
import com.zfire.mall.manager.plus.entity.RetailOrder;
import com.zfire.mall.manager.plus.entity.RetailOrderItem;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @author change
 */
@ApiModel
@Data
public class OrderFullCostVO   {


    @ApiModelProperty(value = "订单号")
    private String orderId;

    @ZfireField(hide = true)
    @ApiModelProperty(value = "金蝶物料id")
    private String materialId;

    @ApiModelProperty(value = "旧物料编码")
    private String materialOldNumber;

    @ApiModelProperty(value = "物料编号")
    private String materialCode;

    @ApiModelProperty(value = "物料名称")
    private String materialName;


    @ApiModelProperty(value = "物料规格型号")
    private String specification;

    @ApiModelProperty(value = "货满时间")
    private String fullTime;

    @ApiModelProperty(value = "货满天数")
    private Integer fullNum;

    @ApiModelProperty(value = "是否收取仓租")
    private PickIsEnum full;



}
