package com.zfire.mall.manager.bean.trade;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

@Data
@ApiModel
public class PositionProjectBean {

    @ApiModelProperty(value = "工程项目名称")
    private String projectName;

    @ApiModelProperty(value = "纬度")
    private String lat;

    @ApiModelProperty(value = "经度")
    private String lnt;

    @ApiModelProperty(value = "公里（单位）")
    private BigDecimal distance;

    @ApiModelProperty(value = "项目编号")
    private String projectNo;

    @ApiModelProperty(value = "地址")
    private String address;
}
