package com.zfire.mall.manager.bean.wallet;

import com.zfire.mall.manager.plus.entity.CustomerWallet;
import com.zfire.mall.manager.plus.entity.WalletRebateSaleType;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.List;

@ApiModel
@Data
public class CustomerWalletBean extends CustomerWallet {

    @ApiModelProperty("返利折扣(例如:0.1=1折)")
    private BigDecimal rebateRate;

//    @ApiModelProperty("优先顺序(倒序)")
//    private Integer rebateSort;
    @ApiModelProperty("钱包名称")
    private String name;

    @ApiModelProperty("是否折让")
    private Boolean isZr = false;
    @ApiModelProperty("是否返利")
    private Boolean isRebate = false;

    @ApiModelProperty("业务员ID")
    private String serviceId;
    @ApiModelProperty("业务员名称")
    private String serviceName;

    @ApiModelProperty("金蝶钱包编码")
    private String walletNumber;

    @ApiModelProperty("返利钱包")
    private List<WalletRebateSaleType> walletRaleTypes;
    private List<String> saleTypeIds;

    private BigDecimal computeSubAmount = new BigDecimal("0");

}
