package com.zfire.mall.manager.commonmapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.zfire.mall.manager.bean.stock.AdminUserForceStockExcel;
import com.zfire.mall.manager.plus.entity.CustomerBillLimitConfig;
import com.zfire.mall.manager.plus.entity.PartyAInfo;
import com.zfire.mall.manager.zfire.bean.ZfireParamBean;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * @author qinrongjun
 * @description
 * @date 2023/7/26 14:47 星期三
 */
@Mapper
public interface CommonMapper {

    IPage<CustomerBillLimitConfig> merchantLoginQuotaLimitList(Page page, @Param("ex")ZfireParamBean param);

    IPage<PartyAInfo> firstPartyCustomerManagementList(Page page, @Param("ex")ZfireParamBean param);

    IPage<AdminUserForceStockExcel> listExcel(Page page);
}
