package com.zfire.mall.manager.commonmapper;

import com.baomidou.mybatisplus.annotation.SqlParser;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.zfire.mall.manager.bean.invoice.*;
import com.zfire.mall.manager.bean.pick.PickManagerPushBean;
import com.zfire.mall.manager.bean.pick.PickSummary;
import com.zfire.mall.manager.bean.sale.SaleOrderBean;
import com.zfire.mall.manager.zfire.bean.ZfireParamBean;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author chang
 */
@Mapper
public interface InvoiceNewListMapper {


    @SqlParser(filter = true)
    Integer listInvoiceHuiZongCount(@Param("ex") ZfireParamBean zfireParam,
                                    @Param("customerId") String customerId,
                                    @Param("serviceIds") List<String> serviceIds,
                                    @Param("k3CategoryIds") List<String> k3CategoryIds);


    @SqlParser(filter = true)
    IPage<InvoiceNewListBean> listInvoiceHuiZong(IPage page,
                                                 @Param("ex") ZfireParamBean zfireParam,
                                                 @Param("customerId") String customerId,
                                                 @Param("serviceIds") List<String> serviceIds,
                                                 @Param("k3CategoryIds") List<String> k3CategoryIds);
}
