package com.zfire.mall.manager.commonmapper;

import com.baomidou.mybatisplus.annotation.SqlParser;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.zfire.mall.manager.bean.requisition.RequisitionBean;
import com.zfire.mall.manager.bean.requisition.RequisitionDetail;
import com.zfire.mall.manager.bean.reserved.ReservedBean;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author chang
 */
@Mapper
public interface RequisitionMapper {

    @SqlParser(filter = true)
    IPage<RequisitionBean> list(IPage page,
                                @Param("id") String id,
                                @Param("examineStatus")String examineStatus,
                                @Param("customerName")String customerName,
                                @Param("correspondName")String correspondName,
                                @Param("specification")String specification,
                                @Param("startTime")String startTime,
                                @Param("endTime")String endTime,
                                @Param("customerNumber")String customerNumber,
                                @Param("materialCode")String materialCode,
                                @Param("materialName")String materialName,
                                @Param("customerId")String customerId,
                                @Param("serviceIds") List<String> serviceIds,
                                @Param("k3CategoryIds") List<String> k3CategoryIds);

    RequisitionDetail detail(String id);
}
