package com.zfire.mall.manager.commonmapper.displace.order;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.zfire.mall.manager.bean.displace.order.DisplaceOrderBean;
import com.zfire.mall.manager.bean.displace.order.DisplaceOrderListBean;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface DisplaceOrderReserveMapper {

    IPage<DisplaceOrderListBean> listPage(Page<Object> objectPage,
                                          @Param("customerKeyword") String customerKeyword,
                                          @Param("displaceOrderId") String displaceOrderId,
                                          @Param("originOrderNo") String originOrderNo,
                                          @Param("orderType") String orderType,
                                          @Param("productName") String productName,
                                          @Param("startOrderTime") String startOrderTime,
                                          @Param("endOrderTime") String endOrderTime,
                                          @Param("createName") String createName,
                                          @Param("confirmName") String confirmName,
                                          @Param("examineStatus") String examineStatus,
                                          @Param("serviceId") String serviceId,
                                          @Param("adminCompanyIds") List<String> adminCompanyIds,
                                          @Param("serviceIds") List<String> serviceIds,
                                          @Param("customerId") String customerId);

    DisplaceOrderBean detail(@Param("id") String id,
                             @Param("adminCompanyIds") List<String> adminCompanyIds,
                             @Param("serviceIds") List<String> serviceIds,
                             @Param("customerId") String customerId);
}
