package com.zfire.mall.manager.commonmapper.manage.material;

import com.baomidou.mybatisplus.annotation.SqlParser;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.zfire.mall.manager.bean.manage.material.ProductComposeBean;
import com.zfire.mall.manager.bean.manage.material.ProductComposeListBean;
import com.zfire.mall.manager.bean.manage.v2.material.ProductComposeVO;
import com.zfire.mall.manager.plus.entity.MachineConfigureRecord;
import com.zfire.mall.manager.plus.entity.ProductCategory;
import com.zfire.mall.manager.zfire.bean.ZfireParamBean;
import org.apache.ibatis.annotations.Param;

import java.math.BigDecimal;
import java.util.List;

public interface ProductComposeReserveMapper {
    IPage<ProductComposeListBean> listPage(Page<Object> objectPage, String name, String type, String number, BigDecimal volume,
                                           String machineType, String machineName, String machineModel,
                                           String machineNumber, String adminCompanyId);

    ProductComposeBean detail(String id, List<String> adminCompanyIds);

    List<MachineConfigureRecord> getMaterialDetail(String id);


    @SqlParser(filter = true)
    public ProductCategory queryOne(@Param("kingDeeCategoryId") String kingDeeCategoryId);

    IPage<ProductComposeVO> v2ListPage(Page page, @Param("ex") ZfireParamBean zfireParamBean);
}
