package com.zfire.mall.manager.commonmapper.rece;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.zfire.mall.manager.bean.k3.KingDeeWalletVO;
import com.zfire.mall.manager.bean.rece.ReceivableItemBean;
import com.zfire.mall.manager.zfire.bean.ZfireParamBean;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;


import java.util.Date;
import java.util.List;

/**
 * @author xiaomj
 */
@Mapper
public interface ReceMapper {

    IPage<ReceivableItemBean> list(
                IPage page,
                @Param("source") String source,
                @Param("code") String code,
                @Param("userName") String userName,
                @Param("examineBy") String examineBy,
                @Param("examineStatus") String examineStatus,
                @Param("startTime") String startTime,
                @Param("endTime") String endTime,
                @Param("customerNumber") String customerNumber
    );

    IPage<KingDeeWalletVO> walletV2(Page page,@Param("ex") ZfireParamBean zfireParamBean);
}
