package com.zfire.mall.manager.commonmapper.record.order.exec;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.zfire.mall.manager.bean.record.order.exec.v2.OrderExecRecordVO;
import com.zfire.mall.manager.bean.record.order.exec.v2.RetailOrderExecRecordVO;
import com.zfire.mall.manager.bean.record.order.exec.v2.TradeEOrderExecRecordVO;
import com.zfire.mall.manager.zfire.bean.ZfireParamBean;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface OrderExecRecordReserveMapper {
    IPage<RetailOrderExecRecordVO> v2RetailListPage(Page page, @Param("ex") ZfireParamBean zfireParamBean);

    IPage<TradeEOrderExecRecordVO> v2TradeEExecListPage(Page page, @Param("ex") ZfireParamBean zfireParamBean);

    IPage<OrderExecRecordVO> v2ExecListPage(Page page,
                                            @Param("ex") ZfireParamBean zfireParamBean,
                                            @Param("serviceIds") List<String> serviceIds);
}
