package com.zfire.mall.manager.constant;

public class DingURLConstant {
    /**
     * 钉钉网关gettoken地址
     */
    public static final String URL_GET_TOKKEN = "https://oapi.dingtalk.com/gettoken";

    /**
     *获取用户在企业内userId的接口URL
     */
    public static final String URL_GET_USER_INFO = "https://oapi.dingtalk.com/user/getuserinfo";

    /**
     *获取用户姓名的接口url
     */
    public static final String URL_USER_GET = "https://oapi.dingtalk.com/user/get";

    /**
     * 发起审批实例的接口url
     */
    public static final String URL_PROCESSINSTANCE_START = "https://oapi.dingtalk.com/topapi/processinstance/create";

    /**
     * 获取审批实例的接口url
     */
    public static final String URL_PROCESSINSTANCE_GET = "https://oapi.dingtalk.com/topapi/processinstance/get";

    /**
     * 发送企业通知消息的接口url
     */
    public static final String MESSAGE_ASYNCSEND = "https://oapi.dingtalk.com/topapi/message/corpconversation/asyncsend_v2";

    /**
     * 删除企业回调接口url
     */
    public static final String DELETE_CALLBACK = "https://oapi.dingtalk.com/call_back/delete_call_back";

    /**
     * 注册企业回调接口url
     */
    public static final String REGISTER_CALLBACK = "https://oapi.dingtalk.com/call_back/register_call_back";

    /**
     * 获取部门列表
     */
    public static final String URL_GET_DEPARTMENT = "https://oapi.dingtalk.com/topapi/v2/department/listsub";

    /**
     * 获取部门下成员userId
     */
    public static final String URL_GET_DEPARTMENT_USER = "https://oapi.dingtalk.com/topapi/user/listid";

    /**
     * 获取成员详情
     */
    public static final String URL_GET_DEPARTMENT_USER_DATEILS = "https://oapi.dingtalk.com/topapi/v2/user/get";

    /**
     * 获取成员详情
     */
    public static final String URL_GET_DEPARTMENT_CSPACE_INFO = "https://oapi.dingtalk.com/topapi/processinstance/cspace/info";

}
