package com.zfire.mall.manager.enums;


import com.baomidou.mybatisplus.annotation.EnumValue;
import com.fasterxml.jackson.annotation.JsonValue;
import lombok.AllArgsConstructor;
import lombok.Getter;

@Getter
@AllArgsConstructor
public enum WalletTypeEnum {
    COMMONLY("COMMONLY", "现金钱包"),
    REBATE("REBATE", "返利钱包");

    @JsonValue
    @EnumValue
    private final String key;
    private final String value;
}
