package com.zfire.mall.manager.logic.manage.v2.product.price;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.zfire.mall.manager.bean.manage.v2.product.price.PriceTypeVO;
import com.zfire.mall.manager.commonmapper.manage.product.PriceTypeReserveMapper;
import com.zfire.mall.manager.zfire.bean.ZfireParamBean;
import com.zfire.mall.manager.zfire.util.FieldUtils;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;

@Service
public class PriceTypeV2Logic {

    @Resource
    PriceTypeReserveMapper priceTypeReserveMapper;

    public IPage<PriceTypeVO> v2ListPage(ZfireParamBean zfireParamBean) {
        FieldUtils.supplyParam(zfireParamBean);
        return priceTypeReserveMapper.v2ListPage(new Page(zfireParamBean.getPageNum(), zfireParamBean.getPageSize()), zfireParamBean);

    }

}
