package com.zfire.mall.manager.logic.manage.v2.product.price;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.zfire.mall.manager.bean.manage.v2.product.price.ProductBusinessPriceVO;
import com.zfire.mall.manager.commonmapper.manage.product.ProductPriceReserveMapper;
import com.zfire.mall.manager.zfire.bean.ZfireParamBean;
import com.zfire.mall.manager.zfire.util.FieldUtils;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;

@Service
@Slf4j
public class ProductBusinessPriceV2Logic {

    @Resource
    ProductPriceReserveMapper productPriceReserveMapper;

    public IPage<ProductBusinessPriceVO> v2ListPage(ZfireParamBean zfireParamBean) {
        FieldUtils.supplyParam(zfireParamBean);
        return productPriceReserveMapper.v2BusinessListPage(new Page(zfireParamBean.getPageNum(), zfireParamBean.getPageSize()), zfireParamBean);
    }
}
