package com.zfire.mall.manager.bean;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

@ApiModel
@Data
public class CommonCountBean {

    @ApiModelProperty("订单金额统计")
    private String orderAmountC;

    @ApiModelProperty("单价统计")
    private String unitPriceC;

    @ApiModelProperty("总返利金额统计/订单返利金额统计")
    private String rebateAmountT;

    @ApiModelProperty("返利金额统计")
    private String rebateAmountC;

    @ApiModelProperty("暂扣返利统计")
    private String withholdAmountC;

    @ApiModelProperty("折让金额统计")
    private String allowanceAmountC;

    @ApiModelProperty("提货/订单总数量")
    private String totalC;

    @ApiModelProperty("格力折扣统计")
    private String discAmountC;

}
