package com.zfire.mall.manager.bean;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@Data
public class ExcelExamData{
    /**
     * 表头
     */
    private List<ExcelTitle> excelTitleBean;
    /**
     * 数据
     */
    private List<List<Object>> rows;
    /**
     * 页签名称
     */
    private String name;


    @Data
    public static class ExcelTitle{
        private String title;
        private List<String> childTitle;
        private Short colorIndex;
    }

}
