package com.zfire.mall.manager.bean;

import com.zfire.mall.manager.plus.entity.ReceivableOrder;
import com.zfire.mall.manager.plus.entity.ReceivableOrderItem;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@ApiModel
@Data
public class ReceivableOrderBean extends ReceivableOrder {

    @ApiModelProperty("明细")
    private List<ReceivableOrderItem> items;

    @ApiModelProperty("余额不足时是否确认提交")
    private Boolean isContinue = false;

}
