package com.zfire.mall.manager.bean;

import com.zfire.mall.manager.zfire.bean.QueryParamBean;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.util.List;

@ApiModel
@Data
public class ZfireCustomParam {
    @ApiModelProperty("id")
    private String id;
    @NotBlank
    @ApiModelProperty("自定义条件名称")
    private String name;
    @NotBlank
    @ApiModelProperty("模块id")
    private String moduleId;
    @NotNull
    @ApiModelProperty("组成条件")
    private List<QueryParamBean> items;

}
