package com.zfire.mall.manager.bean.admin;

import com.zfire.mall.manager.plus.entity.AdminUser;
import com.zfire.mall.manager.plus.entity.AdminUserBindEngin;
import com.zfire.mall.manager.plus.entity.AdminWebsit;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@ApiModel
@Data
public class AdminUserBean extends AdminUser {

    @ApiModelProperty("工程机地址")
    private String enginSysUrl;
    @ApiModelProperty("token")
    private String token;
    @ApiModelProperty("部门id集合")
    private List<String> adminWebsitIds;
    @ApiModelProperty("经销商存货分类")
    public List<String> mainNames;
    @ApiModelProperty("是否折让")
    private Boolean isZr;

    @ApiModelProperty("绑定仓库")
    private String[] stockCorrespondList;

    @ApiModelProperty("已绑定工程账号")
    private List<AdminUserBindEngin> bindEnginList;

    @ApiModelProperty("绑定金蝶物料")
    private String[] k3CategoryList;

    @ApiModelProperty("网点")
    private AdminWebsit adminWebsit;

    @ApiModelProperty("是否物流 1是 0否")
    private Boolean isFront;

    @ApiModelProperty("是否自提 1是 0否")
    private Boolean isPick;

    @ApiModelProperty("是否配置过 1 配置  0未配置")
    private Boolean frontPickType;

    @ApiModelProperty("是否配置过 1 配置  0未配置")
    private Integer changeNum;

    @ApiModelProperty("是否弘格")
    private Boolean isHongGe;

    @ApiModelProperty("所属集团id")
    private String groupCompanyId;

    @ApiModelProperty("当前权限名称")
    private String authority;

    @ApiModelProperty("是否为商用登录审核员")
    private Boolean isTradeExaminer;

}
