package com.zfire.mall.manager.bean.admin.respDto;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.zfire.mall.manager.plus.entity.AdminCompany;
import com.zfire.mall.manager.plus.entity.AdminUser;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@ApiModel(description = "商戶列表响应bean")
@Data
public class AdminCompanyWechatRespPageBean extends AdminCompany {

    private AdminUser adminUser;

    @TableId(value = "admin_user_id", type = IdType.ID_WORKER_STR)
    private String adminUserId;
    @ApiModelProperty(value = "用户名")
    private String nickName;
    @ApiModelProperty(value = "帐号")
    private String userName;
    @ApiModelProperty(value = "负责人")
    private String linkName;
    @ApiModelProperty(value = "角色名")
    private String roleName;
    @ApiModelProperty(value = "联系人电话")
    private String linkPhone;
    @ApiModelProperty(value = "邮箱")
    private String email;
    @ApiModelProperty(value = "地址")
    private String address;
    @ApiModelProperty(value = "状态: true=正常  false=冻结")
    private Boolean status;

}
