package com.zfire.mall.manager.bean.config;

import com.zfire.mall.manager.annotation.ZfireField;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @author qinrongjun
 * @description
 * @date 2023/7/26 10:49 星期三
 */

@Data
@ZfireField(tbName = "a")
public class MerchantLoginQuotaLimitListVO {

    @ZfireField(hide = true)
    private String id;

    @ZfireField(tbName = "b", colName = "name")
    @ApiModelProperty(value = "商家信息")
    private String customerName;

    @ApiModelProperty(value = "商家编号")
    private String customerNumber;

    @ApiModelProperty(value = "工装登录名额数量")
    private Integer workLoginLimit;

    @ApiModelProperty(value = "家装登录名额数量")
    private Integer homeLoginLimit;

    @ApiModelProperty(value = "跨区登录名额数量")
    private Integer spanLoginLimit;

    @ApiModelProperty(value = "实际工装登录名额数量")
    private Integer actuallyWorkLoginLimit;

    @ApiModelProperty(value = "实际家装登录名额数量")
    private Integer actuallyHomeLoginLimit;

    @ApiModelProperty(value = "实际跨区登录名额数量")
    private Integer actuallySpanLoginLimit;

    @ApiModelProperty(value = "创建人")
    private String createBy;

    @ApiModelProperty(value = "创建人账号")
    private String createName;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @ApiModelProperty(value = "更新人")
    private String updateBy;

    @ApiModelProperty(value = "更新人账号")
    private String updateName;

    @ApiModelProperty(value = "更新时间")
    private Date updateTime;
}
