package com.zfire.mall.manager.bean.engin.info;

import com.zfire.mall.manager.bean.wallet.CustomerWalletBean;
import com.zfire.mall.manager.plus.entity.EnginInfoOrderItem;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.ArrayList;
import java.util.List;

@EqualsAndHashCode(callSuper = true)
@Data
@ApiModel
public class EnginInfoItemBean extends EnginInfoOrderItem {

    @ApiModelProperty(value = "引用记录")
    private Integer useRefCount;

    @ApiModelProperty(value = "可用钱包列表")
    private List<CustomerWalletBean> customerWalletList = new ArrayList<>();
}
