package com.zfire.mall.manager.bean.engin.info;

import com.zfire.mall.manager.plus.entity.EnginInfoOrder;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.math.BigDecimal;

@EqualsAndHashCode(callSuper = true)
@Data
@ApiModel
public class EnginInfoOrderListBean extends EnginInfoOrder {

    @ApiModelProperty(value = "明细id")
    private String id;

    @ApiModelProperty(value = "销售类型id")
    private String saleTypeId;

    @ApiModelProperty(value = "销售类型编码")
    private String saleTypeCode;

    @ApiModelProperty(value = "销售类型名称")
    private String saleTypeName;

    @ApiModelProperty(value = "金蝶物料id")
    private String materialId;

    @ApiModelProperty(value = "金蝶物料编码")
    private String materialNumber;

    @ApiModelProperty(value = "金蝶物料名称")
    private String materialName;

    @ApiModelProperty(value = "金蝶物料旧编码")
    private String materialOldNumber;

    @ApiModelProperty(value = "规格型号")
    private String specification;

    @ApiModelProperty(value = "基本单位编码")
    private String unit;

    @ApiModelProperty(value = "单价")
    private BigDecimal price;

    @ApiModelProperty(value = "数量")
    private Integer qty;

    @ApiModelProperty(value = "总金额")
    private BigDecimal totalAmount;

    @ApiModelProperty(value = "备注")
    private String itemRemark;

    @ApiModelProperty(value = "税率")
    private BigDecimal taxRate;

    @ApiModelProperty(value = "已订数量")
    private Integer hasOrderQty;

    @ApiModelProperty(value = "物料分组名称")
    private String materialGroupName;

    @ApiModelProperty(value = "存货类别")
    private String categoryName;

    @ApiModelProperty(value = "出库数量")
    private String hasDeliverQty;

    @ApiModelProperty(value = "发货数量")
    private String hasSendQty;
}
