package com.zfire.mall.manager.bean.front;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * <p>
 * 
 * </p>
 *
 * @author gejiang
 * @since 2023-04-08
 */
@ApiModel
@Data
public class CostTicketVO{


    @ApiModelProperty(value = "id")
    private String id;

    @ApiModelProperty(value = "工单编号")
    private String ticketCode;

    @ApiModelProperty(value = "工单类型,MERCHANT_CHECK(商家对账),SALES_CHECK(销司对账)")
    private String ticketType;

    @ApiModelProperty(value = "对账单编码。若是商家对账类型，则填写商家对账单编号;若是销司对账类型，则填写销司对账编号")
    private String orderCode;

    @ApiModelProperty(value = "审核人")
    private String reviewMan;

    @ApiModelProperty(value = "审核时间")
    private Long reviewTime;

    @ApiModelProperty(value = "流程状态")
    private String processStatus;

    @ApiModelProperty(value = "备注")
    private String comment;

    @ApiModelProperty(value = "创建数据的组织")
    private String createOrg;

    @ApiModelProperty(value = "更新数据的组织")
    private String updateOrg;

    @ApiModelProperty(value = "创建时间")
    private Long createTime;

    @ApiModelProperty(value = "更新时间")
    private Long updateTime;

    @ApiModelProperty(value = "更新人")
    private String updateUser;

    @ApiModelProperty(value = "创建人")
    private String createUser;

    @ApiModelProperty(value = "是否已经被删除")
    private String isDelete;



    private List<CostBillVO> costTicketDetailList;

}
