package com.zfire.mall.manager.bean.front;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@ApiModel
@Data
public class CreateTicketBill {

    @ApiModelProperty(value = "若是商家对账类型，则填写商家对账单编号;若是销司对账类型，则填写销司对账编号，必填")
    private String orderCode;

    @ApiModelProperty(value = "MERCHANT_CHECK 商家对账  SALES_CHECK 销司对账")
    private String ticketType;

    @ApiModelProperty(value = "工单备注")
    private String comment;

    @ApiModelProperty(value = "工单编号前端不传")
    private String ticketCode;

    @ApiModelProperty(value = "结算单")
    private List<CreateTicketBillList> modifiedCostBillList;
}
