package com.zfire.mall.manager.bean.front;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * <p>
 * 
 * </p>
 *
 * @author gejiang
 * @since 2022-11-26
 */
@ApiModel
@Data
public class CustomerOrderRefundSync {

    @ApiModelProperty(value = "订单id")
    private String id;


    @ApiModelProperty(value = "经销商编号")
    private String customerNumber;


    @ApiModelProperty(value = "经销商名称")
    private String customerName;


    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @ApiModelProperty(value = "修改时间")
    private Date updateTime;


    @ApiModelProperty(value = "用户名称")
    private String userName;

    @ApiModelProperty(value = "用户电话")
    private String phone;

    @ApiModelProperty(value = "省")
    private String province;

    @ApiModelProperty(value = "市")
    private String city;

    @ApiModelProperty(value = "区")
    private String area;

    @ApiModelProperty(value = "街道")
    private String street;

    @ApiModelProperty(value = "收货地址")
    private String receAddress;

    @ApiModelProperty(value = "备注")
    private String notes;


    @ApiModelProperty(value = "订单时间")
    private Date orderTime;

    @ApiModelProperty(value = "客户销售订单")
    private String customerOrderNo;

    @ApiModelProperty(value = "退货备注")
    private String refundRemark;

}
