package com.zfire.mall.manager.bean.front;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.zfire.mall.manager.annotation.ZfireField;
import com.zfire.mall.manager.constant.CodeStatusConstant;
import com.zfire.mall.manager.plus.entity.OrderTrackToc;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @author changelin
 */
@ApiModel
@Data
public class CustomerOrderTrackTocBean{

    @ApiModelProperty(value = "嘉贤物流id")
    private String id;

    @ApiModelProperty(value = "创建时间")
    private String createTime;

    @ApiModelProperty(value = "运单号")
    private String branchOrderCode;

    @ApiModelProperty(value = "销售订单号")
    private String saleCode;

    @ApiModelProperty(value = "签收状态")
    private String status;

    @ApiModelProperty(value = "状态详情")
    private String statusDetails;

    @ApiModelProperty(value = "备注")
    private String comment;




}
