package com.zfire.mall.manager.bean.front;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 
 * </p>
 *
 * @author gejiang
 * @since 2023-05-15
 */
@ApiModel
@Data
public class EquipmentCodeVO  {

    @ApiModelProperty(value = "订单号")
    private String orderNumber;

    @ApiModelProperty(value = "条形码")
    private String barCode;

    @ApiModelProperty(value = "物料代码")
    private String materialCode;

    @ApiModelProperty(value = "产品名称")
    private String productName;

    @ApiModelProperty(value = "台")
    private String unit;

    @ApiModelProperty(value = "扫描类型")
    private String scanType;

    @ApiModelProperty(value = "单据编码")
    private String orderCoding;

    @ApiModelProperty(value = "扫描人")
    private String scan;

    @ApiModelProperty(value = "出库时间")
    private Date deliveryTime;

    @ApiModelProperty(value = "仓库")
    private String warehouse;

    @ApiModelProperty(value = "收货地址")
    private String address;

    @ApiModelProperty(value = "销售公司")
    private String salesCompany;

    @ApiModelProperty(value = "发货时间")
    private Date consignerTime;

    @ApiModelProperty(value = "1广佛设备  2非广佛设备")
    private Integer verificationStatus;

    @ApiModelProperty(value = "核验人员编号")
    private String workerNumber;

    @ApiModelProperty(value = "核验人员名称")
    private String workerName;

    @ApiModelProperty(value = "核验人员手机号")
    private String workerPhone;

    @ApiModelProperty(value = "核验时间")
    private Date verificationTime;

    @ApiModelProperty(value = "网点编号")
    private String websitNumber;

    @ApiModelProperty(value = "网点名称")
    private String websitName;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @ApiModelProperty(value = "修改时间")
    private Date updateTime;

    @ApiModelProperty(value = "上传人")
    private String createBy;

    @ApiModelProperty(value = "上传人编码")
    private String createByNumber;

    @ApiModelProperty(value = "公司id")
    private Integer belongCompanyId;

    @ApiModelProperty(value = "所属销售公司")
    private String belongCompany;

    @ApiModelProperty(value = "收货公司")
    private String receiptCompany;

    @ApiModelProperty(value = "规格型号")
    private String specification;


}
