package com.zfire.mall.manager.bean.front;

import cn.hutool.db.sql.Order;
import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.zfire.mall.manager.annotation.ZfireField;
import com.zfire.mall.manager.constant.CodeStatusConstant;
import com.zfire.mall.manager.enums.JiaXianOrderTypeEnum;
import com.zfire.mall.manager.enums.JiaXianStockTypeEnum;
import com.zfire.mall.manager.enums.SyncStatusEnum;
import com.zfire.mall.manager.plus.entity.OrderTrackToc;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @author changelin
 */
@ApiModel
@Data
public class OrderTrackTocBean   {

    @ApiModelProperty(value = "嘉贤物流订单")
    private String orderTrackId;

    @ApiModelProperty(value = "物流信息")
    private String comment;

    @ApiModelProperty(value = "签收状态")
    private String status;

    @ApiModelProperty(value = "时间")
    private Date time;

    @ApiModelProperty(value = "销售订单号")
    private String saleCode;

    @ApiModelProperty(value = "创建时间")
    @TableField(fill = FieldFill.INSERT)
    private Date createTime;

    @ApiModelProperty(value = "修改时间")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private Date updateTime;

    @ApiModelProperty(value = "运单号")
    private String branchOrderCode;

    @ApiModelProperty(value = "状态详情")
    private String statusDetails;

    @ApiModelProperty(value = "对应供应链订单号")
    private String orderId;

}
