package com.zfire.mall.manager.bean.front;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * <p>
 * 
 * </p>
 *
 * @author gejiang
 * @since 2023-04-08
 */
@ApiModel
@Data
public class SaleOrderReturnJsonList {



    @ApiModelProperty(value = "取件地址（销售单收货地址）")
    private String receiptAddress;

    @ApiModelProperty(value = "取件日期（时间戳）")
    private String pickUpDate;


    @ApiModelProperty(value = "商家名称")
    private String merchantName;

    @ApiModelProperty(value = "商家编码")
    private String merchantCode;

    @ApiModelProperty(value = "客户名称")
    private String customerName;

    @ApiModelProperty(value = "销售订单号")
    private String saleOrderCode;



    @ApiModelProperty(value = "客户电话")
    private String customerPhone;

    @ApiModelProperty(value = "备注")
    private String comment;

    @ApiModelProperty(value = "省")
    private String province;

    @ApiModelProperty(value = "市")
    private String city;

    @ApiModelProperty(value = "区")
    private String area;

    @ApiModelProperty(value = "街道")
    private String street;

    @ApiModelProperty(value = "物料")
    private List<SaleOrderReturnDetailList> saleOrderReturnDetailList;
}
