package com.zfire.mall.manager.bean.front;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @author changelin
 */
@ApiModel
@Data
public class SyncOrderTrack {

    @ApiModelProperty(value = "请求资源路径", required = true)
    private String resourcesPath;

    @ApiModelProperty(value = "请求参数", required = true)
    private String resourcesEncrypted;


    @ApiModelProperty(value = "订单内容")
    private List<SyncOrderTrackBean> syncOrderTrackBeans;

}




