package com.zfire.mall.manager.bean.invoice;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.zfire.mall.manager.plus.entity.InvoiceApplication;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 发货申请单
 * </p>
 *
 * @author gejiang
 * @since 2023-03-04
 */
/**
 * @author change
 */
@ApiModel
@Data
public class InvoiceApplicationPick extends InvoiceApplication {

    @ApiModelProperty(value = "收货客户")
    private String receivingName;

    @ApiModelProperty(value = "电话")
    private String phone;

    @ApiModelProperty(value = "收货地址")
    private String address;

}
