package com.zfire.mall.manager.bean.invoice;

import com.zfire.mall.manager.plus.entity.InvoiceApplication;
import com.zfire.mall.manager.plus.entity.InvoiceApplicationOrder;
import com.zfire.mall.manager.plus.entity.SalesOrderPicture;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @author change
 */
@ApiModel
@Data
public class InvoiceRequestJson extends InvoiceApplication {


   @ApiModelProperty(value = "绑定订单")
    private List<InvoiceApplicationOrderRequest> orders;

    @ApiModelProperty(value = "图片")
    private List<SalesOrderPicture> salesOrderPictures;
}
