package com.zfire.mall.manager.bean.k3;

import com.zfire.mall.manager.plus.entity.CustomerWallet;
import com.zfire.mall.manager.plus.entity.KingDeeCustomer;
import com.zfire.mall.manager.plus.entity.KingDeeCustomerCategory;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@ApiModel
@Data
public class K3CustomerBean extends KingDeeCustomer {
    @ApiModelProperty("分子公司")
    private List<KingDeeCustomer> kingDeeCustomers;
    @ApiModelProperty("信用额度")
    private List<CustomerWallet> customerWallets;

    @ApiModelProperty("自提绑定品类")
    private List<KingDeeCustomerCategory> kingDeeCustomerCategories;

    @ApiModelProperty("物流绑定品类")
    private List<KingDeeCustomerCategory> kingDeeCustomerCategoriesFront;
}
