package com.zfire.mall.manager.bean.k3;

import com.zfire.mall.manager.plus.entity.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.List;

@EqualsAndHashCode(callSuper = true)
@Data
@ApiModel
public class KingDeeMaterialBean extends KingDeeMaterial {

    @ApiModelProperty("套机信息")
    private List<MachineConfigureRecord> items;
    @ApiModelProperty("品类id")
    private String mainId;
    @ApiModelProperty("品类名称")
    private String mainName;
    @ApiModelProperty("可选的销售类型")
    private List<SaleType> saleTypes;
    @ApiModelProperty("可选的现金钱包")
    private List<KingDeeWallet> wallets;

}
