package com.zfire.mall.manager.bean.k3;

import com.zfire.mall.manager.plus.entity.KingDeePurchaseOrder;
import com.zfire.mall.manager.plus.entity.KingDeePurchaseStockIn;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

@ApiModel
@Data
public class KingDeePurchaseStockInBean extends KingDeePurchaseStockIn {



    @ApiModelProperty(value = "实体主键")
    private String entryId;

    @ApiModelProperty(value = "物料id")
    private String materialId;

    @ApiModelProperty(value = "物料编码")
    private String materialNumber;

    @ApiModelProperty(value = "物料名称")
    private String materialName;

    @ApiModelProperty(value = "仓库Id")
    private String stockId;

    @ApiModelProperty(value = "仓库")
    private String stockName;

    @ApiModelProperty(value = "备注")
    private String note;

    @ApiModelProperty(value = "应收数量")
    private BigDecimal mustQty;

    @ApiModelProperty(value = "实收数量")
    private BigDecimal realQty;

    @ApiModelProperty(value = "单位")
    private String unit;

    @ApiModelProperty(value = " 数量（库存辅单位)")
    private BigDecimal auxUnitQty;

    @ApiModelProperty(value = "单价")
    private BigDecimal price;

    @ApiModelProperty(value = " 税率(%)")
    private BigDecimal entryTaxRate;

    @ApiModelProperty(value = "金额")
    private BigDecimal amount;

    @ApiModelProperty(value = "含税单价")
    private BigDecimal taxPrice;

    @ApiModelProperty(value = "税额")
    private BigDecimal entryTaxAmount;

    @ApiModelProperty(value = "价税合计")
    private BigDecimal allAmount;

    @ApiModelProperty(value = "规格型号")
    private String uom;

    @ApiModelProperty(value = "物料代码")
    private String materialOldNumber;

}
