package com.zfire.mall.manager.bean.k3;

import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;

@Data
public class RequestPushBean {

    /**
     *
     */
    @JsonProperty("Ids")
    private String ids = "";
    /**
     * 上游源单据单号,按明细行下推不填
     */
    @JsonProperty("Numbers")
    private String numbers;
    /**
     * 需要下推单据（即源单）的行的内码，可以通过查询接口查询,如果是全部明细行下推，这里不填
     *
     */
    @JsonProperty("EntryIds")
    private String entryIds = "";
    /**
     * 单据转换规则，决定什么单据转换什么单据
     */
    @JsonProperty("RuleId")
    private String ruleId;
    /**
     *
     */
    @JsonProperty("TargetBillTypeId")
    private String targetBillTypeId = "";
    /**
     *
     */
    @JsonProperty("TargetOrgId")
    private Integer targetOrgId = 0;
    /**
     *
     */
    @JsonProperty("TargetFormId")
    private String targetFormId = "";
    /**
     *
     */
    @JsonProperty("IsEnableDefaultRule")
    private boolean isEnableDefaultRule = false;
    /**
     * 保存失败时是否暂存，这里填true
     */
    @JsonProperty("IsDraftWhenSaveFail")
    private boolean isDraftWhenSaveFail = true;
    /**
     *
     */
    @JsonProperty("CustomParams")
    private Object customParams;
}
