package com.zfire.mall.manager.bean.k3;

import com.zfire.mall.manager.plus.entity.KingDeeCategory;
import com.zfire.mall.manager.plus.entity.KingDeeStock;
import com.zfire.mall.manager.plus.entity.StockCorrespond;
import com.zfire.mall.manager.plus.entity.StockForceCategory;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @author change
 */
@ApiModel
@Data
public class StockPositionStock extends StockCorrespond {

    @ApiModelProperty(value = "仓位")
    private List<KingDeeStock> kingDeeStocks;


    @ApiModelProperty(value = "存货类别")
    private List<KingDeeCategory> kingDeeCategories;


    @ApiModelProperty(value = "强制仓存货类别")
    private List<StockForceCategory> stockForceCategories;
}
