package com.zfire.mall.manager.bean.k3;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.zfire.mall.manager.annotation.ZfireField;
import com.zfire.mall.manager.enums.CorrespondTypeEnum;
import com.zfire.mall.manager.enums.IsEnum;
import com.zfire.mall.manager.plus.entity.KingDeeStock;
import com.zfire.mall.manager.plus.entity.StockCorrespond;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
 * @author change
 */
@ApiModel
@Data
public class StockPositionStockVO{


    @ZfireField(hide = true)
    @ApiModelProperty(value = "仓库名称")
    private String id;

    @ApiModelProperty(value = "仓库名称")
    private String name;

    @ApiModelProperty(value = "库存警戒线")
    private BigDecimal stockCordon;

    @ApiModelProperty(value = "备注")
    private String remark;

    @ApiModelProperty(value = "创建人")
    private String createBy;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @ApiModelProperty(value = "更新时间")
    private Date updateTime;

    @ApiModelProperty(value = "更新人")
    private String updateBy;

    @ZfireField(type = "select")
    @ApiModelProperty(value = "是否虚拟仓")
    private CorrespondTypeEnum type;


}
