package com.zfire.mall.manager.bean.k3.bill.result;

import lombok.Data;

@Data
public class BillItem {

    /**
     * 行号
     */
    private String seq;

    /**
     * 内码
     */
    private String entryId;

    /**
     * 物料id
     */
    private String materialId;

    /**
     * 供应链自定义值
     */
    private String supplyColVal;

    /**
     * 父单据内码
     */
    private String parentId;

    private BillItem() {

    }

    public BillItem(String seq, String entryId, String materialId, String supplyColVal) {
        this.seq = seq;
        this.entryId = entryId;
        this.materialId = materialId;
        this.supplyColVal = supplyColVal;
    }

    public BillItem(String seq, String entryId, String materialId, String supplyColVal, String parentId) {
        this.seq = seq;
        this.entryId = entryId;
        this.materialId = materialId;
        this.supplyColVal = supplyColVal;
        this.parentId = parentId;
    }
}
