package com.zfire.mall.manager.bean.k3.v2;

import com.zfire.mall.manager.annotation.ZfireField;
import com.zfire.mall.manager.enums.K3CommonStatusEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

@Data
@ApiModel
public class KingDeeCategoryVO {

    @ZfireField(hide = true)
    @ApiModelProperty(value = "id")
    private String id;

    @ApiModelProperty(value = "存货编码")
    private String number;

    @ApiModelProperty(value = "存货名称")
    private String name;

    @ApiModelProperty(value = "使用组织")
    private String useOrgId;

    @ApiModelProperty(value = "使用组织编码")
    private String useOrgNumber;

    @ApiModelProperty(value = "使用组织名称")
    private String useOrgName;

    @ApiModelProperty(value = "同步时间")
    private Date syncTime;

    @ApiModelProperty(value = "创建人")
    private String createBy;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @ApiModelProperty(value = "更新人")
    private String updateBy;

    @ApiModelProperty(value = "更新时间")
    private Date updateTime;

    @ApiModelProperty(value = "禁用状态")
    private K3CommonStatusEnum forbidStatus;
}
