package com.zfire.mall.manager.bean.listV2;

import com.zfire.mall.manager.annotation.ZfireField;
import com.zfire.mall.manager.constant.SysDictConstant;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

@ZfireField(tbName = "a")
@ApiModel
@Data
public class CustomerWalletCreditRecordVO {

    @ZfireField(hide = true)
    private String id;
    @ZfireField(hide = true)
    private String customerWalletId;

    @ZfireField(hide = true)
    private String customerId;

    @ApiModelProperty(value = "经销商编号")
    private String customerNumber;

    //@ZfireField(type = "select",colName = "customer_number",frontCode = SysDictConstant.CUSTOMER)
    @ApiModelProperty(value = "经销商名称")
    private String customerName;

    @ZfireField(type="select",frontCode = SysDictConstant.WALLET,colName = "wallet_rebate_id")
    @ApiModelProperty(value = "关联钱包")
    private String customerWalletName;

    @ZfireField(colName = "free_credit_amount")
    @ApiModelProperty(value = "信用额度")
    private BigDecimal amount;

}
