package com.zfire.mall.manager.bean.listV2;

import com.zfire.mall.manager.annotation.ZfireField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 物料参考成本价格VO
 * @author ：lijh
 * @description：TODO
 * @date ：2024/2/19 15:48
 */
@ZfireField(tbName = "a")
@ApiModel
@Data
public class MaterialReferPriceVO {


    @ZfireField(hide = true)
    @ApiModelProperty("id")
    private String id;
    
    @ApiModelProperty("物料编码")
    private String materialNumber;

    @ZfireField(tbName = "b")
    @ApiModelProperty("产品编码")
    private String oldNumber;

    @ZfireField(tbName = "b",hide = true)
    @ApiModelProperty("存货类别ID")
    private String categoryId;

    @ZfireField(tbName = "b")
    @ApiModelProperty("存货类别")
    private String categoryName;

    @ZfireField(tbName = "b")
    @ApiModelProperty("物料名称")
    private String name;

    @ZfireField(tbName = "b")
    @ApiModelProperty("规格型号")
    private String specification;

    @ApiModelProperty("参考成本价")
    private BigDecimal costPrice;


    @ApiModelProperty("创建人")
    private String createBy;
    @ApiModelProperty("创建时间")
    private Date createTime;
    @ApiModelProperty("修改人")
    private String updateBy;
    @ApiModelProperty("修改时间")
    private Date updateTime;
}
