package com.zfire.mall.manager.bean.listV2;

import com.zfire.mall.manager.annotation.ZfireField;
import com.zfire.mall.manager.enums.StatusEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

@ZfireField(tbName = "a")
@ApiModel
@Data
public class SaleTypeVO {

    @ZfireField(hide = true)
    private String id;
    @ApiModelProperty("销售类型编码")
    private String saleCode;
    @ApiModelProperty("销售类型名称")
    private String saleName;
    @ApiModelProperty("状态")
    private StatusEnum status;
    @ApiModelProperty("创建人")
    private String createBy;
    @ApiModelProperty("创建时间")
    private Date createTime;
    @ApiModelProperty("更新人")
    private String updateBy;
    @ApiModelProperty("更新时间")
    private Date updateTime;

}
