package com.zfire.mall.manager.bean.manage.product.price;

import com.zfire.mall.manager.plus.entity.ProductPrice;
import com.zfire.mall.manager.plus.entity.ProductPriceWallet;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.List;

@EqualsAndHashCode(callSuper = true)
@Data
@ApiModel
public class ProductPriceBean extends ProductPrice {

    @ApiModelProperty(value = "存货类别")
    private String categoryId;

    @ApiModelProperty(value = "存货类别编码")
    private String categoryNumber;

    @ApiModelProperty(value = "存货类别名称")
    private String categoryName;

    @ApiModelProperty("钱包类型明细")
    List<ProductWalletBean> wallets;
}
