package com.zfire.mall.manager.bean.pick;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.zfire.mall.manager.annotation.ZfireField;
import com.zfire.mall.manager.plus.entity.PickManager;
import com.zfire.mall.manager.plus.entity.PickManagerPush;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
 * @author change
 */
@ApiModel
@Data
public class PickManagerPushBean  {


    @ApiModelProperty(value = "销售单号")
    private String saleCode;

    @ApiModelProperty(value = "下单时间")
    private String orderTime;

    @ApiModelProperty(value = "0 前置仓 1工程机 2商家仓")
    private Integer warehouseFlag;

    @ApiModelProperty(value = "货物总数量")
    private Integer totalAmount;

    @ApiModelProperty(value = "发货仓库ID")
    private String deliverWarehouseId;

    @ApiModelProperty(value = "发货仓库")
    private String deliverWarehouse;


    @ApiModelProperty(value = "物料列表")
    private List<PickManagerPushGoodsBean> goods;


    @ApiModelProperty(value = "商家编码")
    private String merchantCode;

    @ApiModelProperty(value = "商家名称")
    private String merchantName;

    @ApiModelProperty(value = "送货时间")
    private String goodsDeliveringTime;

    @ApiModelProperty(value = "提货密钥")
    private String goodsPickingKey;

    @ApiModelProperty(value = "收货客户")
    private String goodsReceiptingCustomer;

    @ApiModelProperty(value = "联系电话")
    private String phone;

    @ApiModelProperty(value = "收货地址")
    private String goodsReceiptingAddress;

    @ApiModelProperty(value = "送货备注")
    private String otherNotes;

    @ApiModelProperty(value = "订单备注")
    private String orderNotes;

    @ApiModelProperty(value = "状态 CANCEL 取消 OK 下单成功")
    private String status;

    @ApiModelProperty(value = "是否上楼 YES 是 NO 否")
    private String isUp;

    @ApiModelProperty(value = "是否卸货 YES 是 NO 否")
    private String isDischarge;

    @ApiModelProperty(value = "项目类别")
    private String refProjectCategory;

    @ApiModelProperty(value = "经销商销售订单号")
    private String customerOrderId;

    @ApiModelProperty(value = "销售出库单")
    private String salesOrderNo;

}