package com.zfire.mall.manager.bean.pick;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @author change
 */
@ApiModel
@Data
public class PickManagerPushGoodsBean {



    @ApiModelProperty(value = "套机码")
    private String machineSetCode;

    @ApiModelProperty(value = "产品旧套机码")
    private String machineSetOldCode;

    @ApiModelProperty(value = "规格型号")
    private String specification;

    @ApiModelProperty(value = "货物数量")
    private String goodsAmount;

    @ApiModelProperty(value = "货物备注")
    private String otherNotes;

    @ApiModelProperty(value = "货物体积")
    private String goodsVolume;

    @ApiModelProperty(value = "总体积")
    private String totalVolume;

    @ApiModelProperty(value = "业务员ID")
    private String serviceId;

    @ApiModelProperty(value = "业务员")
    private String serviceName;

    @ApiModelProperty(value = "销售类型")
    private String saleType;

}
