package com.zfire.mall.manager.bean.pick;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 * @author change
 */
@ApiModel
@Data
public class PickSummary {


    @ApiModelProperty(value = "预约出货单")
    private Integer pickOrderNum;

    @ApiModelProperty(value = "提货产品种类")
    private Integer pickCategoryNum;

    @ApiModelProperty(value = "预约经销商")
    private Integer pickCustomNum;

    @ApiModelProperty(value = "提货经销商")
    private Integer pickOrderCustomNum;

    @ApiModelProperty(value = "出库产品台数")
    private Integer shipOrderNum;

    @ApiModelProperty(value = "出库家用空调单数")
    private Integer shipHomeConditionerNum;

    @ApiModelProperty(value = "出库商用空调单数")
    private Integer shipTradeConditionerNum;

    @ApiModelProperty(value = "出库生活电器单数")
    private Integer pickLifeNum;

    @ApiModelProperty(value = "出库家用空调台数")
    private Integer shipHomeConditionerTower;

    @ApiModelProperty(value = "出库商用空调台数")
    private Integer shipTradeConditionerTower;

    @ApiModelProperty(value = "出库生活电器台数")
    private Integer pickLifeTower;

    @ApiModelProperty(value = "出库家用空调价格")
    private BigDecimal shipHomeConditionerPrice;

    @ApiModelProperty(value = "出库商用空调价格")
    private BigDecimal shipTradeConditionerPrice;

    @ApiModelProperty(value = "出库生活电器价格")
    private BigDecimal pickLifePrice;



}
