package com.zfire.mall.manager.bean.policy;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.util.Date;

@ApiModel
@Data
public class PolicyDelayBean {

    @NotBlank(message = "政策id不能为空")
    @ApiModelProperty("政策id")
    private String policyId;
    @NotNull(message = "延期时间不能为空")
    @ApiModelProperty("延期时间")
    private Date endTime;

}
