package com.zfire.mall.manager.bean.policy;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.List;

@ApiModel
@Data
public class PolicyMaterialAddBean {

    @ApiModelProperty("主键id")
    private String id;
    @ApiModelProperty("政策id")
    private String policyId;
    @ApiModelProperty("物料id")
    private String materialId;
    @ApiModelProperty("销售类型id")
    private String saleTypeId;
    @ApiModelProperty("单价")
    private BigDecimal price;
    @ApiModelProperty("原供价")
    private BigDecimal orgPrice;
    @ApiModelProperty("格力折扣")
    private BigDecimal discAmount;
    @ApiModelProperty("价格类型")
    private String priceType;
    @ApiModelProperty("备注")
    private String remark;
    @ApiModelProperty("钱包id")
    private List<String> walletIds;
    @ApiModelProperty("返利钱包id")
    private List<String> rebateWalletIds;

}
