package com.zfire.mall.manager.bean.policy;

import com.zfire.mall.manager.bean.wallet.CustomerWalletBean;
import com.zfire.mall.manager.plus.entity.PolicyMaterial;
import com.zfire.mall.manager.plus.entity.PolicyWalletRela;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.ArrayList;
import java.util.List;

@ApiModel
@Data
public class PolicyMaterialBean extends PolicyMaterial {

    @ApiModelProperty("钱包")
    private List<PolicyWalletRela> walletRelaList;
    @ApiModelProperty("现金钱包")
    private List<CustomerWalletBean> wallets = new ArrayList<>();
    @ApiModelProperty("返利钱包")
    private List<CustomerWalletBean> rebateWallets = new ArrayList<>();

}
