package com.zfire.mall.manager.bean.rece;

import com.zfire.mall.manager.plus.entity.ReceivableOrder;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

@ApiModel
@Data
public class ReceivableItemBean extends ReceivableOrder {

    @ApiModelProperty(value = "费用项目编号")
    private String projectCode;

    @ApiModelProperty(value = "费用项目名称")
    private String projectName;

    @ApiModelProperty(value = "费用承担部门id")
    private String departmentId;

    @ApiModelProperty(value = "经销商钱包id")
    private String customerWalletId;

    @ApiModelProperty(value = "经销商钱包名称")
    private String customerWalletName;

    @ApiModelProperty(value = "钱包id")
    private String walletId;

    @ApiModelProperty(value = "发票类型")
    private String invoiceType;

    @ApiModelProperty(value = "明细金额")
    private BigDecimal itemAmount;

    @ApiModelProperty(value = "税额")
    private BigDecimal tax;

    @ApiModelProperty(value = "税率")
    private BigDecimal taxRate;

    @ApiModelProperty(value = "明细备注")
    private String itemRemark;

    @ApiModelProperty(value = "明细Id")
    private String itemId;

}
