package com.zfire.mall.manager.bean.requisition;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.zfire.mall.manager.plus.entity.RequisitionOrder;
import com.zfire.mall.manager.plus.entity.RequisitionOrderItem;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
 * @author change
 */
@ApiModel
@Data
public class RequisitionDetail extends RequisitionOrder {

    @ApiModelProperty(value = "绑定订单产品")
    private List<RequisitionOrderItem> results;


    @ApiModelProperty(value = "库存状态类型0,可用 1待检2冻结3退回冻结4在途5收货冻结6废品7不良8外借")
    private String inStockStatusType;

    @ApiModelProperty(value = "库存状态类型0,可用 1待检2冻结3退回冻结4在途5收货冻结6废品7不良8外借")
    private String stockStatusType;


}
