package com.zfire.mall.manager.bean.retail;

import com.zfire.mall.manager.bean.wallet.CustomerWalletBean;
import com.zfire.mall.manager.plus.entity.PolicyWalletRela;
import com.zfire.mall.manager.plus.entity.RetailOrderItem;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.List;

@ApiModel
@Data
public class RetailOrderItemBean extends RetailOrderItem {

    @ApiModelProperty("退订数量")
    private Integer tdQty;

    @ApiModelProperty("现金钱包")
    List<CustomerWalletBean> wallets = new ArrayList<>();
    @ApiModelProperty("返利钱包")
    List<CustomerWalletBean> rebateWallets = new ArrayList<>();
    @ApiModelProperty("当前可用返利金额")
    private BigDecimal curRebateAmount;


}
