package com.zfire.mall.manager.bean.retail;

import com.zfire.mall.manager.plus.entity.RetailOrderItem;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.util.Date;
import java.util.List;

/**
 * 退订
 */
@ApiModel
@Data
public class RetailOrderRefundBean {
    @ApiModelProperty("表头单号")
    private String id;

    @NotNull(message = "产品信息不能为空")
    @ApiModelProperty(value="产品信息",required = true)
    private List<RetailOrderItemBean> retailOrderItemList;

//    @NotBlank(message = "单据日期不能为空")
//    @ApiModelProperty("单据日期")
//    private Date theTime;

//    @ApiModelProperty(value="类型 1=普通零售  2=销售政策",required = true)
//    private Integer type;
}
