package com.zfire.mall.manager.bean.sale;

import com.zfire.mall.manager.plus.entity.SalesOrder;
import com.zfire.mall.manager.plus.entity.SalesOrderItem;
import com.zfire.mall.manager.plus.entity.SalesOrderPicture;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @author change
 */
@ApiModel
@Data
public class SaleRetreatOrderBody extends SalesOrder {

    @ApiModelProperty(value = "绑定商品")
    private List<SalesOrderItem> saleOrderData;


    @ApiModelProperty(value = "图片")
    private List<SalesOrderPicture> salesOrderPictures;
}
