package com.zfire.mall.manager.bean.stock;

import com.zfire.mall.manager.annotation.ZfireField;
import com.zfire.mall.manager.enums.OrderFullStatusEnum;
import com.zfire.mall.manager.enums.OrderTypeEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @author change
 */
@ApiModel
@Data
@ZfireField(tbName = "ofc")
public class OrderFullCostMonthVO {

    @ZfireField(hide = true)
    @ApiModelProperty(value = "日账单id")
    private String orderFullCostId;

    @ApiModelProperty(value = "所属年份")
    private String yearTime;

    @ApiModelProperty(value = "所属月份")
    private String monthTime;

    @ApiModelProperty(value = "经销商编号")
    private String customerNumber;

    @ZfireField(hide = true)
    @ApiModelProperty(value = "经销商id")
    private String customerId;

    @ApiModelProperty(value = "经销商名称")
    private String customerName;

    @ApiModelProperty(value = "计算天数")
    private Integer fullDayNum;

    @ApiModelProperty(value = "仓租金额")
    private BigDecimal fullCost;

}
