package com.zfire.mall.manager.bean.stock;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.zfire.mall.manager.plus.entity.RetreatDocument;
import com.zfire.mall.manager.plus.entity.Stock;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @author change
 */
@ApiModel
@Data
public class StockBean {



    @ApiModelProperty(value = "总库存数量")
    private Integer stockQty;

    @ApiModelProperty(value = "物料id")
    private String materialId;

    @ApiModelProperty(value = "物料编码")
    private String materialNumber;

    @ApiModelProperty(value = "物料编码")
    private String materialOldNumber;

    @ApiModelProperty(value = "物料名称")
    private String materialName;

    @ApiModelProperty(value = "规格型号")
    private String specification;

    @ApiModelProperty(value = "基本单位编码")
    private String baseUnitId;

    @ApiModelProperty(value = "经销商预留库存")
    private Integer reservedNum;

    @ApiModelProperty(value = "经销商暂扣库存")
    private Integer temporaryNum;

    @ApiModelProperty(value = "开单未提数量")
    private Integer num;

    @ApiModelProperty(value = "存货类别名称")
    private String categoryName;

    @ApiModelProperty(value = "产品大类")
    private String mainName;

    @ApiModelProperty("可开数量")
    private Integer openNumber;


    @ApiModelProperty("可用数量")
    private Integer stockAdequate;

    @ApiModelProperty(value = "仓库ID")
    private String correspondId;

    @ApiModelProperty(value = "物料分组")
    private String materialGroupName;

}
