package com.zfire.mall.manager.bean.stock;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

@ApiModel
@Data
public class StockPrice {

    @ApiModelProperty(value = "类别")
    private String categoryName;

    @ApiModelProperty(value = "库存数量")
    private BigDecimal qty;

    @ApiModelProperty(value = "成本")
    private BigDecimal allPrice;
}
