package com.zfire.mall.manager.bean.stock;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;


@Data
public class StockStartAccVO {


    @ApiModelProperty(value = "仓库名称")
    private String stockName;

    @ApiModelProperty(value = "存货类别")
    private String categoryName;

    @ApiModelProperty(value = "物料编码")
    private String materialNumber;

    @ApiModelProperty(value = "物料名称")
    private String materialName;

    @ApiModelProperty(value = "产品编码")
    private String materialOldNumber;

    @ApiModelProperty(value = "规格")
    private String spec;

    @ApiModelProperty(value = "广州可用")
    private BigDecimal gzOnNumber;

    @ApiModelProperty(value = "佛山可用")
    private BigDecimal fsOnNumber;

    @ApiModelProperty(value = "总可用数量")
    private BigDecimal allOnNumber;

    @ApiModelProperty(value = "广州开单未提")
    private BigDecimal gzNeverNumber;

    @ApiModelProperty(value = "佛山开单未提")
    private BigDecimal fsNeverNumber;

    @ApiModelProperty(value = "总开单未提数量")
    private BigDecimal allNeverNumber;


    @ApiModelProperty(value = "广州结存")
    private BigDecimal gzNumber;

    @ApiModelProperty(value = "佛山结存")
    private BigDecimal fsNumber;

    @ApiModelProperty(value = "总结存数量")
    private BigDecimal allNumber;


    @ApiModelProperty(value = "广州实际库存")
    private BigDecimal gzTheTimeNumber;

    @ApiModelProperty(value = "佛山实际库存")
    private BigDecimal fsTheTimeNumber;


}
