package com.zfire.mall.manager.bean.trade;

import com.zfire.mall.manager.enums.TradeFollowStatusEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@Data
@ApiModel
public class UpdateLoginStatusBean {

    @ApiModelProperty(value = "单据id")
    private List<String> ids;

    @ApiModelProperty(value = "申请人(仅展示)")
    private String applyBy;

    @ApiModelProperty(value = "所属公司(仅展示)")
    private String applyCompany;

    @ApiModelProperty(value = "申请原因(仅展示)")
    private String applyReason;

    @ApiModelProperty(value = "业务员id")
    private String serviceId;

    @ApiModelProperty(value = "业务员")
    private String serviceName;

    @ApiModelProperty(value = "备注")
    private String remark;

    @ApiModelProperty(value = "审核确认 true=同意 false=拒绝")
    private Boolean isSuccess;

    @ApiModelProperty(value = "跟进状态")
    private TradeFollowStatusEnum status;
}
