package com.zfire.mall.manager.bean.wallet;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
 *返利统计
 */
@ApiModel
@Data
public class AmountCountBean {

    @ApiModelProperty("预付货款")
    private BigDecimal preCount;

    @ApiModelProperty("订单占款")
    private BigDecimal orderCOunt;

    @ApiModelProperty("支付货款")
    private BigDecimal payCount;

    @ApiModelProperty("押金")
    private BigDecimal orderDate;

    @ApiModelProperty("工程保证金")
    private BigDecimal projectCount;

    @ApiModelProperty("其他暂扣款")
    private BigDecimal otherCount;

    @ApiModelProperty("返利支出")
    private BigDecimal outCount;

    @ApiModelProperty("返利收入")
    private BigDecimal inCount;

    @ApiModelProperty("经销商余额汇总")
    private BigDecimal totalBalanceAmount;


}
