package com.zfire.mall.manager.bean.wallet;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

@ApiModel
@Data
public class CustomerCountMonthBean  extends AmountCountBean{

    @ApiModelProperty(value = "经销商id")
    private String customerId;

    @ApiModelProperty(value = "经销商编号")
    private String customerNumber;

    @ApiModelProperty(value = "经销商名称")
    private String customerName;

    @ApiModelProperty(value = "月份")
    private String month;

    @ApiModelProperty("折让金额")
    private BigDecimal allowanceCount;

    @ApiModelProperty("暂扣金额")
    private BigDecimal withholdCount;

}
