package com.zfire.mall.manager.bean.wallet;

import com.zfire.mall.manager.plus.entity.CustomerWallet;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

@Data
public class CustomerWalletAmountBean {



    //类型 add =加钱  sub=减钱
    private String type;
    //钱包id
    private String customerWalletId;
    //金额
    private BigDecimal amount;
    //备注
    private String remark;
    //单据类型
    private String billType;
    //单据日期
    private Date theTime;
    //单据号
    private String billNo;
    //flag 1=预付货款 2=订单占款 3=支付货款 4=押金 5=工程保证金 6=其他暂扣款
    private Integer flag;

    //返利单用参数
    private BigDecimal allowanceAmount;
    private BigDecimal withholdAmount;

    //钱包
    private CustomerWallet customerWallet;


    public CustomerWalletAmountBean(String customerWalletId,BigDecimal amount,String remark,String billType,Date theTime,String billNo,Integer flag,String type){
        this.customerWalletId = customerWalletId;
        this.amount = amount;
        this.remark = remark;
        this.billType = billType;
        this.theTime = theTime;
        this.billNo = billNo;
        this.flag = flag;
        this.type = type;
    }

    public CustomerWalletAmountBean(String customerWalletId,BigDecimal amount,String remark,String billType,Date theTime,String billNo,Integer flag,BigDecimal allowanceAmount,BigDecimal withholdAmount,String k3ReceiptId,String type){
        this.customerWalletId = customerWalletId;
        this.amount = amount;
        this.remark = remark;
        this.billType = billType;
        this.theTime = theTime;
        this.billNo = billNo;
        this.flag = flag;
        this.allowanceAmount = allowanceAmount;
        this.withholdAmount = withholdAmount;
        this.type = type;
    }


}
