package com.zfire.mall.manager.commonmapper.engin.info;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.zfire.mall.manager.bean.engin.info.EnginInfoBean;
import com.zfire.mall.manager.bean.engin.info.EnginInfoListBean;

import java.util.List;

public interface EnginInfoReserveMapper {

    IPage<EnginInfoListBean> listPage(Page<Object> objectPage, String enginInfoNo, String productCategoryId,
                                      String customerKeyWord, String projectName, String machineType,
                                      String useUnit, String installAddress, String projectNo, String enginFactoryNo,
                                      String enginSignType, String startContractExpireDate,
                                      String endContractExpireDate,
                                      String createName, String confirmName, String examineStatus, String serviceId, String specification, List<String> adminCompanyIds,
                                      List<String> serviceIds, String customerId, Boolean isClose, String enginOrderType);

    EnginInfoBean detail(String id, List<String> adminCompanyIds, List<String> serviceIds, String customerId);

    EnginInfoBean queryDetailByRecordNo(String recordNo, List<String> adminCompanyIds, String customerId);
}
