package com.zfire.mall.manager.commonmapper.manage.product;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.zfire.mall.manager.bean.manage.product.price.ProductPriceBean;
import com.zfire.mall.manager.bean.manage.product.price.ProductWalletBean;
import com.zfire.mall.manager.bean.manage.v2.product.price.ProductBusinessPriceVO;
import com.zfire.mall.manager.bean.manage.v2.product.price.ProductPriceVO;
import com.zfire.mall.manager.zfire.bean.ZfireParamBean;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;

public interface ProductPriceReserveMapper {

    IPage<ProductPriceBean> listPage(Page<Object> objectPage, String materialNumber, String materialName, Date startDate,
                                     Date endDate, String saleTypeId, String categoryId, String specification,
                                     List<String> adminCompanyIds);

    /**
     * 获取钱包
     */
    public List<ProductWalletBean> queryWallet(@Param("productPriceId") String productPriceId);

    IPage<ProductPriceVO> v2ListPage(Page page, @Param("ex") ZfireParamBean zfireParamBean);

    IPage<ProductBusinessPriceVO> v2BusinessListPage(Page page, @Param("ex") ZfireParamBean zfireParamBean);
}
