package com.zfire.mall.manager.commonmapper.manage.take;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.zfire.mall.manager.bean.manage.take.TakeCarRecordBean;
import com.zfire.mall.manager.bean.manage.v2.take.TakeCarRecordVO;
import com.zfire.mall.manager.zfire.bean.ZfireParamBean;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface TakeCarRecordReserveMapper {

    IPage<TakeCarRecordBean> listPage(Page<Object> objectPage, List<String> adminCompanyIds, String customerId, String customerName, String carBrand);

    IPage<TakeCarRecordVO> v2ListPage(Page page, @Param("ex") ZfireParamBean zfireParamBean);
}
