package com.zfire.mall.manager.commonmapper.manage.take;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.zfire.mall.manager.bean.manage.take.TakerRecordBean;
import com.zfire.mall.manager.bean.manage.v2.take.TakerRecordVO;
import com.zfire.mall.manager.zfire.bean.ZfireParamBean;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface TakerRecordReserveMapper {

    IPage<TakerRecordBean> listPage(Page<Object> objectPage, List<String> adminCompanyIds, String customerId, String customerName, String takerName, String phoneKeyword, String curDate);

    IPage<TakerRecordVO> v2ListPage(Page page, @Param("ex") ZfireParamBean zfireParamBean);
}
