package com.zfire.mall.manager.commonmapper.policy;

import com.baomidou.mybatisplus.annotation.SqlParser;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.zfire.mall.manager.bean.policy.PolicyBean;
import com.zfire.mall.manager.bean.wallet.CustomerWalletBean;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface PolicyCommonMapper {


    /**
     * 查询经销商的所有钱包
     */
    @SqlParser(filter = true)
    public IPage<PolicyBean> queryPolicyCustomer(
            IPage page,
            @Param("code") String code,
            @Param("remark") String remark,
            @Param("title") String title,
            @Param("adminCompanyIds") List<String> adminCompanyIds
    );
}

