package com.zfire.mall.manager.config.k3;

import com.zfire.mall.manager.constant.KingDeeCons;
import com.zfire.mall.manager.helper.KingDeeInvokeHelper;
import lombok.Data;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.Configuration;

import javax.annotation.PostConstruct;

@Configuration
@Data
public class K3Config {
    @Value("${k3.cloud.url}")
    private String k3CloudURL;
    @Value("${k3.cloud.db}")
    private String k3CloudDB;
    @Value("${k3.cloud.account}")
    private String k3CloudAccount;
    @Value("${k3.cloud.password}")
    private String k3CloudPassword;
    @Value("${k3.cloud.lang}")
    private String k3CloudLang;

    @PostConstruct
    public void init() {
        KingDeeInvokeHelper.setConfigInfo(this);
        KingDeeUser.setConfigInfo(this);
    }
}
