package com.zfire.mall.manager.config.k3;

import com.zfire.mall.manager.helper.KingDeeInvokeGeJiangHelper;
import lombok.Data;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.Configuration;

import javax.annotation.PostConstruct;

@Configuration
@Data
public class K3GeJiangConfig {
    @Value("${k3.cloud.gejiang.url}")
    private String k3CloudURL;
    @Value("${k3.cloud.gejiang.db}")
    private String k3CloudDB;
    @Value("${k3.cloud.gejiang.account}")
    private String k3CloudAccount;
    @Value("${k3.cloud.gejiang.password}")
    private String k3CloudPassword;
    @Value("${k3.cloud.gejiang.lang}")
    private String k3CloudLang;

    @PostConstruct
    public void init() {
        KingDeeInvokeGeJiangHelper.setConfigInfo(this);
        KingDeeGejiangUser.setConfigInfo(this);
    }
}
