package com.zfire.mall.manager.constant;

import org.springframework.stereotype.Component;

@Component
public class KingDeeCons {

    public final static String PREFIX_BILL_NO = "GYL";
    public final static String NUMBER = "FNUMBER";
    public final static String FPLAN_DATE = "FPlanDate";
    // TODO 固定金蝶销售员 服务器启动的时候会赋值
    //public  static String SALERID = "test001_GW000001_1";
    //public final static String SALERID_TEST = "test001_GW000001_1";
    //public final static String SALERID_PRD = "yewu01_GW000001_1";

    /**
     * 组织机构
     */
    public final static String ORG_INFO = "ORG_Organizations";

    /**
     * 客户
     */
    public final static String CUSTOMER_INFO = "BD_Customer";

    /**
     * 供应商
     */
    public final static String SUPPLIER_INFO = "BD_Supplier";

    /**
     * 部门
     */
    public final static String DEPT_INFO = "BD_Department";

    /**
     * 物料
     */
    public final static String MATERIAL_INFO = "BD_MATERIAL";

    /**
     * 存货类别
     */
    public final static String CATEGORY_INFO = "BD_MATERIALCATEGORY";

    /**
     * 仓库
     */
    public final static String STOCK_INFO = "BD_STOCK";

    /**
     * 采购订单
     */
    public final static String PURCHASE_ORDER = "PUR_PurchaseOrder";

    /**
     * 采购退料订单
     */
    public final static String PURCHASE_RET_BILL = "PUR_MRB";

    /**
     * 销售退货单更新
     */
    public final static String SALE_RET_UPDATE = "SALE_RET_UPDATE";
    /**
     * 采购入库单更新
     */
    public final static String PURCHASE_IN_STOCK_UPDATE = "PURCHASE_IN_STOCK_UPDATE";
    /**
     * 销售出库单更新
     */
    public final static String SALE_OUT_STOCK_UPDATE = "SALE_OUT_STOCK_UPDATE";

    /**
     * 采购入库单
     */
    public final static String PURCHASE_IN_STOCK = "STK_InStock";

    /**
     * 销售订单
     */
    public final static String SALE_ORDER = "SAL_SaleOrder";

    /**
     * 销售退货单
     */
    public final static String SALE_RET_BILL = "SAL_RETURNSTOCK";

    /**
     * 销售出库单
     */
    public final static String SALE_OUT_STOCK = "SAL_OUTSTOCK";

    /**
     * 其他出库单
     */
    public final static String OTHER_OUT_STOCK = "STK_MisDelivery";

    /**
     * 其他入库单
     */
    public final static String OTHER_IN_STOCK = "STK_MISCELLANEOUS";

    /**
     * 直接调拨单
     */
    public final static String STOCK_TRANSFER = "STK_TransferDirect";

    /**
     * 盘亏单
     */
    public final static String STOCK_LOSS = "STK_StockCountLoss";

    /**
     * 盘盈单
     */
    public final static String STOCK_GAIN = "STK_StockCountGain";

    /**
     * 销售新变更单
     */
    public final static String SALE_CHANGE = "SAL_XORDER";

    /**
     * 下推采购订单到采购入库单
     */
    public final static String PUSH_PURCHASE_IN_STOCK = "PUR_PurchaseOrder-STK_InStock";

    /**
     * 下推销售订单到销售出库单
     */
    public final static String PUSH_SALE_OUT_STOCK = "SaleOrder-OutStock";

    /**
     * 下推直接调拨单到销售出库单
     */
    public final static String PUSH_TRANSFER_OUT_STOCK = "TransferDirect-OUTSTOCK";

    /**
     * 下推销售出库单到销售退货单
     */
    public final static String PUSH_SALE_RET_STOCK = "OutStock-SalReturnStock";

    /**
     * 下推销售订单到直接调拨单
     */
    public final static String PUSH_SALE_TRANSFER = "SaleOrder-StkTransferDirect";

    /**
     * 即时库存
     */
    public final static String STOCK_AMOUNT = "STK_Inventory";

    /**
     * 辅助资料-钱包
     */
    public final static String WALLET = "BOS_ASSISTANTDATA_DETAIL";

    /**
     * 收款单-计算钱包余额
     */
    public final static String WALLET_SKD= "AR_RECEIVEBILL";

    /**
     * 退款单-计算钱包余额
     */
    public final static String WALLET_TKD= "AR_REFUNDBILL";

    /**
     * 付款单-计算钱包余额
     */
    public final static String WALLET_FKD= "AP_PAYBILL";
    /**

    /**
     * 应收款管理-其他应收单
     */
    public final static String AR_OTHER_REC_ABLE = "AR_OtherRecAble";

    /**
     * 发票管理-销售增值发票
     */
    public final static String IV_SALESIC = "IV_SALESIC";

    /**
     * 发票管理-销售普通发票
     */
    public final static String IV_SALESOC = "IV_SALESOC";

}
