package com.zfire.mall.manager.datasource.engin.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class SysUser {

    @TableId(value = "id", type = IdType.AUTO)
    private int id;
    private String userName;
    private String password;
    private String nickname;
    private String email;
    private String department;
    private Integer organizationId;
    private String organizationNumber;
    private String discri;
    private boolean canUpload;
    private boolean canUpdate;
    private String salt;
    private boolean isValid;
    private boolean isSuper;

}
