package com.zfire.mall.manager.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.fasterxml.jackson.annotation.JsonValue;
import lombok.AllArgsConstructor;
import lombok.Getter;

@Getter
@AllArgsConstructor
public enum K3TransferTypeEnum {
    I("InnerOrgTransfer", "组织内调拨"),
    O("OverOrgTransfer","跨组织调拨");

    @JsonValue
    @EnumValue
    private final String key;
    private final String value;
}
