package com.zfire.mall.manager.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.fasterxml.jackson.annotation.JsonValue;
import lombok.AllArgsConstructor;
import lombok.Getter;

@Getter
@AllArgsConstructor
public enum WalletDirectionEnum {
    ADD("add", "增加"),
    SUB("sub", "减少");

    @JsonValue
    @EnumValue
    private final String key;
    private final String value;
}
