package com.zfire.mall.manager.zfire.bean;

import com.zfire.mall.manager.plus.entity.AdminField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.ArrayList;
import java.util.List;

@ApiModel
@Data
public class ZfireParamBean {

    @ApiModelProperty("页号，不传默认1")
    private Integer pageNum = 1;
    @ApiModelProperty("页大小，不传默认10，查全部传 -1")
    private Integer pageSize = 10;
    @ApiModelProperty("排序字段例如：table.create_time desc")
    private String orderBy = "";
    @ApiModelProperty("查询条件")
    private List<QueryParamBean> params = new ArrayList<>();
    @ApiModelProperty("导出的字段,导出必传")
    private List<AdminField> exportFields;
    @ApiModelProperty("预留字段(前端忽略该字段)")
    private String query;

}
