package com.zfire.mall.manager.zfire.test;

import com.zfire.mall.manager.annotation.ZfireField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

@ApiModel
@Data
public class BaseManageBean {
    @ZfireField(hide = true)
    @ApiModelProperty("id")
    private String id;

    @ApiModelProperty("配件基础名称")
    private String value;

    @ZfireField(hide = true)
    @ApiModelProperty("类型")
    private String type;

    @ZfireField(hide = true)
    @ApiModelProperty("类型")
    private String typeName;

    @ZfireField(hide = true)
    @ApiModelProperty("状态")
    private Boolean state;

    @ZfireField(colName="state", frontCode = "STATE", type="select")
    @ApiModelProperty("状态")
    private String stateName;

    @ApiModelProperty("创建人")
    private String createBy;

    @ApiModelProperty("创建时间")
    private Date createTime;

    @ApiModelProperty("更新人名称")
    private String updateBy;

    @ApiModelProperty("更新时间")
    private Date updateTime;

}
